<?
/*----------------------------- start title -----------------------------------

ADC2000NG Pro - banner exchange software
Copyright (C) 1998-2010  T&D Systems, Inc.
http://www.td-systems.com/

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

* Admin: Global Stats module
-------------------------------- end title ----------------------------------*/
page_header();
include("adcadminck.inc");

$c_date = date(M." ".d." ".Y);
$y_date = date(M." ".d." ".Y,mktime(0,0,0,date("m"),date("d")-1,date("Y")));

$cd_date = date(d);
$ctd_date = date(m);
$ctm_date = date(Y."-".m);

$yd_date = date(d,mktime(0,0,0,date("m"),date("d")-1,date("Y")));
$ytd_date = date(m,mktime(0,0,0,date("m"),date("d")-1,date("Y")));
$ytm_date = date(Y."-".m,mktime(0,0,0,date("m"),date("d")-1,date("Y")));

$dbase->query("select count(usr_id) from user");
list($total_users) = $dbase->fetch();

$dbase->query("select count(usr_id) from credit_stats where j_date='$c_date'");
list($new_users_td) = $dbase->fetch();

$dbase->query("select count(usr_id) from credit_stats where j_date='$y_date'");
list($new_users_yd) = $dbase->fetch();

$dbase->query("select count(usr_id) from user where usr_tflag=1");
list($total_users_tsd) = $dbase->fetch();

$dbase->query("select count(usr_id) from user where usr_eflag=1");
list($total_users_exp) = $dbase->fetch();

$dbase->query("select count(usr_id) from user where usr_advflag=1");
list($total_users_adv) = $dbase->fetch();

$dbase->query("select count(usr_id) from user where usr_autoflag=1");
list($total_users_aut) = $dbase->fetch();

$dbase->query("select count(usr_id) from user where usr_aflag=0");
list($total_users_dis) = $dbase->fetch();

$dbase->query("select count(ban_id) from banner");
list($total_banners) = $dbase->fetch();

$dbase->query("select count(ban_id) from banner where ban_acpflag=2");
list($total_banners_ua) = $dbase->fetch();

$dbase->query("select count(ban_id) from banner where ban_acpflag=3");
list($total_banners_rj) = $dbase->fetch();

$dbase->query("select count(sup_id) from support");
list($total_questions) = $dbase->fetch();

$dbase->query("select popts_total,popts_today,popts_day from total_stats_popup");
list($popts_total,$popts_today,$popts_day) = $dbase->fetch();

$t_impress = 0; $t_clicks = 0;
$dbase->query("select t_impress,t_clicks,td_impress,td_clicks,ty_impress,ty_clicks from total_stats");
list($t_impress,$t_clicks,$td_impress,$td_clicks,$ty_impress,$ty_clicks) = $dbase->fetch();

//$dbase->query("select sum(d_istats.i_ds".$cd_date."),sum(d_cstats.c_ds".$cd_date.") from d_istats,d_cstats where d_istats.d_date='$ctm_date' and d_cstats.d_date='$ctm_date' and d_istats.i_lu_month=$ctd_date and d_cstats.c_lu_month=$ctd_date and d_istats.ban_id=d_cstats.ban_id");
//list($td_impress,$td_clicks) = $dbase->fetch();
if (!$td_impress) $td_impress = 0;
if (!$td_clicks) $td_clicks = 0;

//$ty_impress = 0; $ty_clicks = 0;
//$dbase->query("select sum(d_istats.i_ds".$yd_date."),sum(d_cstats.c_ds".$yd_date.") from d_istats,d_cstats where d_istats.d_date='$ytm_date' and d_cstats.d_date='$ytm_date' and d_istats.i_lu_month=$ytd_date and d_cstats.c_lu_month=$ytd_date and d_istats.ban_id=d_cstats.ban_id");
//list($ty_impress,$ty_clicks) = $dbase->fetch();
if (!$ty_impress) $ty_impress = 0;
if (!$ty_clicks) $ty_clicks = 0;

$dbase->query("select sys_lock,lock_flag,img_length,rich_length from server_set");
list($sys_lock,$lock_flag,$img_length,$rich_length) = $dbase->fetch();

$dbase->query("select * from def_ratio");
list($def_credits,$def_impress,$def_clicks,$def_referal,$def_refcred) = $dbase->fetch();

$dbase->free();
// ----------------------------------------------------------------------------
$NAV_AREA = "Global Stats";
$help_full = "globstats.html";
$help_cntx = $admglobal;
page_navigator();
?>
                    <table border="0" width="100%" cellpadding="0" bgcolor="#82C7DB">
                      <tr>
                        <td width="41%" bgcolor="#6CBDD5"><strong><small>Version</small></strong></td>
                        <td width="59%" bgcolor="#6CBDD5" align="right"><strong><small><?echo $adc_version;?></small></strong></td>
                      </tr>
                      <tr>
                        <td width="41%">&nbsp;</td>
                        <td width="59%" align="right"></td>
                      </tr>
                      <tr>
                        <td width="41%" bgcolor="#6CBDD5"><strong><small>Total members</small></strong></td>
                        <td width="59%" bgcolor="#6CBDD5" align="right"><strong><small><?echo $total_users;?></small></strong></td>
                      </tr>
                      <tr>
                        <td width="41%" bgcolor="#6CBDD5"><strong><small>New members today</small></strong></td>
                        <td width="59%" bgcolor="#6CBDD5" align="right"><strong><small><?echo $new_users_td;?></small></strong></td>
                      </tr>
                      <tr>
                        <td width="41%" bgcolor="#6CBDD5"><strong><small>New members yesterday</small></strong></td>
                        <td width="59%" bgcolor="#6CBDD5" align="right"><strong><small><?echo $new_users_yd;?></small></strong></td>
                      </tr>
                      <tr>
                        <td width="41%">&nbsp;</td>
                        <td width="59%" align="right"></td>
                      </tr>
                      <tr>
                        <td width="41%" bgcolor="#6CBDD5"><strong><small>New questions in FAQ area</small></strong></td>
                        <td width="59%" bgcolor="#6CBDD5" align="right"><strong><small><?echo $total_questions;?></small></strong></td>
                      </tr>
                      <tr>
                        <td width="41%">&nbsp;</td>
                        <td width="59%" align="right"></td>
                      </tr>
                      <tr>
                        <td width="41%" bgcolor="#6CBDD5"><strong><small>Total disabled members</small></strong></td>
                        <td width="59%" bgcolor="#6CBDD5" align="right"><strong><small><?echo $total_users_dis;?></small></strong></td>
                      </tr>
                      <tr>
                        <td width="41%" bgcolor="#6CBDD5"><strong><small>Total trusted members</small></strong></td>
                        <td width="59%" bgcolor="#6CBDD5" align="right"><strong><small><?echo $total_users_tsd;?></small></strong></td>
                      </tr>
                      <tr>
                        <td width="41%" bgcolor="#6CBDD5"><strong><small>Total non-expirable members</small></strong></td>
                        <td width="59%" bgcolor="#6CBDD5" align="right"><strong><small><?echo $total_users_exp;?></small></strong></td>
                      </tr>
                      <tr>
                        <td width="41%" bgcolor="#6CBDD5"><strong><small>Total advertisers</small></strong></td>
                        <td width="59%" bgcolor="#6CBDD5" align="right"><strong><small><?echo $total_users_adv;?></small></strong></td>
                      </tr>
                      <tr>
                        <td width="41%" bgcolor="#6CBDD5"><strong><small>Total auto-accept</small></strong></td>
                        <td width="59%" bgcolor="#6CBDD5" align="right"><strong><small><?echo $total_users_aut;?></small></strong></td>
                      </tr>
                      <tr>
                        <td width="41%">&nbsp;</td>
                        <td width="59%" align="right"></td>
                      </tr>
                      <tr>
                        <td width="41%" bgcolor="#6CBDD5"><strong><small>Total banners</small></strong></td>
                        <td width="59%" bgcolor="#6CBDD5" align="right"><strong><small><?echo $total_banners;?></small></strong></td>
                      </tr>
                      <tr>
                        <td width="41%" bgcolor="#6CBDE5"><strong><small>Total non-accepted banners</small></strong></td>
                        <td width="59%" bgcolor="#6CBDE5" align="right"><strong><small><?echo $total_banners_ua;?></small></strong></td>
                      </tr>
                      <tr>
                        <td width="41%" bgcolor="#6CBDD5"><strong><small>Total rejected banners</small></strong></td>
                        <td width="59%" bgcolor="#6CBDD5" align="right"><strong><small><?echo $total_banners_rj;?></small></strong></td>
                      </tr>
                      <tr>
                        <td width="41%">&nbsp;</td>
                        <td width="59%" align="right"></td>
                      </tr>
                      <tr>
                        <td width="41%" bgcolor="#6CBDD5"><strong><small>Total impressions</small></strong></td>
                        <td width="59%" bgcolor="#6CBDD5" align="right"><strong><small><?echo $t_impress;?></small></strong></td>
                      </tr>
                      <tr>
                        <td width="41%" bgcolor="#6CBDD5"><strong><small>Total clicks</small></strong></td>
                        <td width="59%" bgcolor="#6CBDD5" align="right"><strong><small><?echo $t_clicks;?></small></strong></td>
                      </tr>
                      <tr>
                        <td width="41%" bgcolor="#6CBDD5"><strong><small>Total impressions today</small></strong></td>
                        <td width="59%" bgcolor="#6CBDD5" align="right"><strong><small><?echo $td_impress;?></small></strong></td>
                      </tr>
                      <tr>
                        <td width="41%" bgcolor="#6CBDD5"><strong><small>Total clicks today</small></strong></td>
                        <td width="59%" bgcolor="#6CBDD5" align="right"><strong><small><?echo $td_clicks;?></small></strong></td>
                      </tr>
                      <tr>
                        <td width="41%" bgcolor="#6CBDD5"><strong><small>Total impressions yesterday</small></strong></td>
                        <td width="59%" bgcolor="#6CBDD5" align="right"><strong><small><?echo $ty_impress;?></small></strong></td>
                      </tr>
                      <tr>
                        <td width="41%" bgcolor="#6CBDD5"><strong><small>Total clicks yesterday</small></strong></td>
                        <td width="59%" bgcolor="#6CBDD5" align="right"><strong><small><?echo $ty_clicks;?></small></strong></td>
                      </tr>
                      <tr>
                        <td width="41%">&nbsp;</td>
                        <td width="59%" align="right"></td>
                      </tr>
                      <tr>
                        <td width="41%" bgcolor="#6CBDD5"><strong><small>Total pageviews</small></strong></td>
                        <td width="59%" bgcolor="#6CBDD5" align="right"><strong><small><?echo $popts_total;?></small></strong></td>
                      </tr>
                      <tr>
                        <td width="41%" bgcolor="#6CBDD5"><strong><small>Today pageviews</small></strong></td>
                        <td width="59%" bgcolor="#6CBDD5" align="right"><strong><small><?echo $popts_today;?></small></strong></td>
                      </tr>
                      <tr>
                        <td width="41%">&nbsp;</td>
                        <td width="59%" align="right"></td>
                      </tr>
                      <tr>
                        <td width="41%" bgcolor="#6CBDD5"><strong><small>Max image-banner weight</small></strong></td>
                        <td width="59%" bgcolor="#6CBDD5" align="right"><strong><small><?echo $img_length;?> (bytes)</small></strong></td>
                      </tr>
                      <tr>
                        <td width="41%" bgcolor="#6CBDD5"><strong><small>Max rich-banner weight</small></strong></td>
                        <td width="59%" bgcolor="#6CBDD5" align="right"><strong><small><?echo $rich_length;?> (bytes)</small></strong></td>
                      </tr>
                      <tr>
                        <td width="41%" bgcolor="#6CBDD5"><strong><small>Starting bonus credits</small></strong></td>
                        <td width="59%" bgcolor="#6CBDD5" align="right"><strong><small><?echo $def_credits;?></small></strong></td>
                      </tr>
                      <tr>
                        <td width="41%" bgcolor="#6CBDD5"><strong><small>Referral bonus credits</small></strong></td>
                        <td width="59%" bgcolor="#6CBDD5" align="right"><strong><small><?echo $def_refcred;?></small></strong></td>
                      </tr>
                      <tr>
                        <td width="41%" bgcolor="#6CBDD5"><strong><small>Default impress ratio</small></strong></td>
                        <td width="59%" bgcolor="#6CBDD5" align="right"><strong><small><?echo $def_impress;?></small></strong></td>
                      </tr>
                      <tr>
                        <td width="41%" bgcolor="#6CBDD5"><strong><small>Default clicks ratio</small></strong></td>
                        <td width="59%" bgcolor="#6CBDD5" align="right"><strong><small><?echo $def_clicks;?></small></strong></td>
                      </tr>
                      <tr>
                        <td width="41%" bgcolor="#6CBDD5"><strong><small>Default referal ratio</small></strong></td>
                        <td width="59%" bgcolor="#6CBDD5" align="right"><strong><small><?echo $def_referal;?></small></strong></td>
                      </tr>
                      <tr>
                        <td width="41%">&nbsp;</td>
                        <td width="59%" align="right"></td>
                      </tr>
                      <tr>
                        <td width="41%" bgcolor="#6CBDD5"><strong><small>Tables status</small></strong></td>
                        <td width="59%" bgcolor="#6CBDD5" align="right"><strong><small><font color="#<?if ($lock_flag) echo "FF0000\">locked"; else echo "000000\">unlocked";?></font></small></strong></td>
                      </tr>
                      <tr>
                        <td width="41%" bgcolor="#6CBDD5"><strong><small>System status</small></strong></td>
                        <td width="59%" bgcolor="#6CBDD5" align="right"><strong><small>
                        <font color="#<?if ($sys_lock) echo "FF0000\">locked"; else echo "000000\">unlocked";?></font></small></strong></td>
                      </tr>
                      <tr>
                        <td width="100%" colspan="2" background="images/globalbk.gif"><small>
                        <font color="#FFFFFF">total stats for <?echo date(D." ".d." ".Y);?></font></small></td>
                      </tr>
                    </table>
                    </td>
                  </tr>
                </table>
                </td>
              </tr>
            </table>
