<?
/*----------------------------- start title -----------------------------------

ADC2000NG Pro - banner exchange software
Copyright (C) 1998-2010  T&D Systems, Inc.
http://www.td-systems.com/

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

* Admin: User list module
-------------------------------- end title ----------------------------------*/
include("adc2000ng.inc");
include("adc2000h.inc");

$dbase = new ADC_sql; $dbase->connect();

include("adcadminck.inc");

$dbase1 = new ADC_sql; $dbase1->connect();

if (!$seek) $seek = 0;

if ($subaction == "one_user") {
  if ($srch_username||$srch_email||$srch_url) {
    if ($srch_username) {
      $sort_mode = " where usr_login like '%$srch_username%'";
    }
    if ($srch_email) {
      $sort_mode = ",user_attr where user.usr_id=user_attr.usr_id and usr_email like '%$srch_email%'";
    }
    if ($srch_url) {
      $sort_mode = ",banner where user.usr_id=banner.usr_id and ban_url like '%$srch_url%'";
    }
  }
}
else {

switch ($ums_type) {
  case "by_all":
    break;
  case "by_enable":
    $sort_mode = " where usr_aflag=1";
    break;
  case "by_disable":
    $sort_mode = " where usr_aflag=0";
    break;
  case "by_free":
    $sort_mode = " where usr_advflag=0 and usr_aflag!=0";
    break;
  case "by_advertiser":
    $sort_mode = " where usr_advflag=1 and usr_aflag!=0";
    break;
  case "by_expirable":
    $sort_mode = " where usr_eflag=0 and usr_aflag!=0";
    break;
  case "by_nonexpirable":
    $sort_mode = " where usr_eflag=1 and usr_aflag!=0";
    break;
  case "by_untrust":
    $sort_mode = " where usr_tflag=0 and usr_aflag!=0";
    break;
  case "by_trust":
    $sort_mode = " where usr_tflag=1 and usr_aflag!=0";
    break;
  case "by_standard":
    $sort_mode = " where usr_autoflag=0 and usr_aflag!=0";
    break;
  case "by_autoaccept":
    $sort_mode = " where usr_autoflag=1 and usr_aflag!=0";
    break;
  case "by_blitz":
    $dbase->query("select usr_id from blitz_pool");
    $num_blz = $dbase->num_rows();
    if ($num_blz) {
      $sort_mode = " where";
      while ($row = $dbase->fetch())
        $sort_mode .= " usr_id=$row[0] or";
      $sort_mode = substr($sort_mode,0,-3);
    }
    else
      $sort_mode = " where usr_id=0";
    break;
  case "by_inactive":
    list($day, $mon, $yr) = explode(" ",date("d m Y")); 
    $ina_date = date(Y."-".m."-".d,mktime(0,0,0,$mon,$day-$ina_time,$yr)); 
    $sort_mode = " where usr_activity<'$ina_date' and usr_aflag!=0 and usr_advflag!=1";
    break;
}
}

$sql_sort = "select user.usr_id,usr_login,usr_weight,usr_tflag,usr_eflag,usr_advflag,usr_autoflag from user".$sort_mode;
$dbase->query($sql_sort);
$num = $dbase->num_rows();
// ----------------------------------------------------------------------------
page_header();
?>
            <table border="0" width="100%" cellspacing="0" cellpadding="0">
              <tr>
                <td width="100%" background="images/globalbk.gif" align="center"><b>
                <font color="#ffffff" size="5" face="Verdana,Arial,Helvetica">CONTROL CENTER<br></font>
                <font color="#ffffff" face="Verdana,Arial,Helvetica" size="2">Userlist</font></b></td>
              </tr>
              <tr>
                <td width="100%" align="center" valign="top"><table border="0" width="540">
                  <tr>
                    <td width="100%"><table border="0" width="100%" cellspacing="0" cellpadding="0">
                      <tr>
                        <td width="100%"><table border="0" width="100%" cellspacing="3" cellpadding="0">
                        <tr>
                          <td width="100%"><form method="POST" action="<?echo "adcausrlst".$fext;?>">
                          <input type="hidden" name="lang" value="<?echo "$lang";?>">
                          <input type="hidden" name="ums_type" value="<?echo "$ums_type";?>">
                          <input type="hidden" name="user" value="<?echo "$user";?>">
                          <input type="hidden" name="passwd" value="<?echo "$passwd";?>">
                            <table border="0" width="100%" cellspacing="0" cellpadding="0">
                              <tr>
                                <td width="50%"><div align="left"><table border="0" width="20%" cellspacing="0" cellpadding="0">
                              <tr>
                              <td width="50%"><input type="image" border="0" src="<?echo "$imgsrc";?>goto.gif" width="70" height="23"></td>
                              <td width="50%"><select name="ums_type" size="1">
<?
$num_menu = count($user_sort);
$tmp_flg = 0;
for ($i=0; $i<$num_menu; $i++) {
  $mn = select_parse($user_sort[$i],"|");
  echo "                                <option";
  if (!$tmp_flg || $ums_type==$mn[1]) { echo " selected"; $tmp_flg = 1; }
  echo " value=\"$mn[1]\" $mn[2]>$mn[0]</option>\n";
}
?>
                              </select></td>
                              </tr>
                              </table>
                              </div></td>
                              </tr>
                            </table>
                          </form>
<?
if (!$num) {
?>
                        <tr>
                          <font face="Verdana,Arial,Helvetica"><td align="center"></font><font size="2">
                          <b>No users in database</font></td>
                        </tr>
<?
}
else {
  for ($i=$seek; $i<=$seek+$uresult_out; $i++) {
    $dbase->seek($i);
    list($usr_id,$usr_login,$usr_weight,$usr_tflag,$usr_eflag,$usr_advflag,$usr_autoflag) = $dbase->fetch();
    if ($usr_tflag) $usr_status = "Trusted, ";
    else $usr_status = "Regular, ";
    if ($usr_eflag) $usr_status .= "Non-expirable, ";
    else $usr_status .= "Expirable, ";
    if ($usr_advflag) $usr_status .= "Advertiser, ";
    else $usr_status .= "Free, ";
    if ($usr_autoflag) $usr_status .= "Auto-accept";
    else $usr_status .= "Approval required";
    $dbase1->query("select imp_ratio,impression,click from credits where usr_id=$usr_id");
    list($imp_ratio,$impression,$click) = $dbase1->fetch();
    $dbase1->query("select count(ban_id) from banner where usr_id=$usr_id");
    list($total_banners) = $dbase1->fetch();
    $dbase1->query("select grp_name,blitz_credit from blitz_pool where usr_id=$usr_id");
    list($grp_name,$blitz_credit) = $dbase1->fetch();
?>
                        <tr>
                        <td width="100%" bgcolor="#82c7db">
                        <font size="2"><b>Username: </b><a href="adcausrinf<?echo $fext;?>?lang=<?echo $lang;?>&amp;username=<?echo $usr_login;?>&amp;action=userinfo&amp;user=<?echo $user;?>&amp;passwd=<?echo $passwd;?>"><?echo $usr_login;?></a></font><br>
                        <font size="1">
<?
  if ($ums_type == "by_blitz") {
?>
                        Blitz group: <?echo $grp_name;?><br>
                        Blitz credit: <?echo $blitz_credit;?><br>
<?
  }
?>
                        Ratio: <?echo $imp_ratio;?><br>
                        Weight: <?echo $usr_weight;?><br>
                        Total banners: <?echo $total_banners;?><br>
                        Unused credits (IMP/CLC): <?echo $impression."/".$click;?><br>
                        User status: <?echo $usr_status;?><br>
                        </font>
                        </td>
                        </tr>
<?
    if ($i >= $num-1) {
      $next = 0;
      break;
    }
    else
      $next = $i + 1;
  }
  $prev = $seek - ($uresult_out + 1);
}
?>
                        </table>
                        </td>
                      </tr>
                    </table>
                    <table border="0" width="100%" cellspacing="10" cellpadding="0">
                      <tr>
                        <td width="100%"><table border="0" width="100%" cellspacing="0" cellpadding="0">
                        <tr>
<?
if ($num) {
  if (!$opacity_flag) {
    echo "                          <td width=\"180\" align=\"left\">";
    if ($prev >= 0) echo "<a href=\"adcausrlst$fext?lang=$lang&amp;ums_type=$ums_type&amp;user=$user&amp;passwd=$passwd&amp;seek=$prev\" target=\"_top\"><img border=\"0\" src=\"images/ar_left.gif\" width=\"35\" height=\"23\"></a>";
    echo "</td>\n";
    echo "                          <td width=\"180\" align=\"center\">";
    if ($prev >= 0) echo "<a href=\"adcausrlst$fext?lang=$lang&amp;ums_type=$ums_type&amp;user=$user&amp;passwd=$passwd&amp;seek=0\" target=\"_top\"><img border=\"0\" src=\"images/ar_up.gif\" width=\"22\" height=\"23\"></a>";
    echo "</td>\n";
    echo "                          <td width=\"180\" align=\"right\">";
    if ($next > 0) echo "<a href=\"adcausrlst$fext?lang=$lang&amp;ums_type=$ums_type&amp;user=$user&amp;passwd=$passwd&amp;seek=$next\" target=\"_top\"><img border=\"0\" src=\"images/ar_right.gif\" width=\"35\" height=\"23\"></a>";
    echo "</td>\n";
  }
  else {
?>
                          <td width="180" align="left"><?if($prev >= 0) {?><a href="adcausrlst<?echo "$fext?lang=$lang&amp;ums_type=$ums_type&amp;user=$user&amp;passwd=$passwd&amp;seek=$prev";?>" target="_top"><?}?><img border="0" src="images/ar_left.gif" width="35" height="23"<?if($prev < 0) {?> style="filter:alpha(opacity=40)"></a><?} else echo "></a>";?></td>
                          <td width="180" align="center"><?if($prev >= 0) {?><a href="adcausrlst<?echo "$fext?lang=$lang&amp;ums_type=$ums_type&amp;user=$user&amp;passwd=$passwd&amp;seek=0";?>" target="_top"><?}?><img border="0" src="images/ar_up.gif" width="22" height="23"<?if($prev < 0) {?> style="filter:alpha(opacity=40)"></a><?} else echo "></a>";?></td>
                          <td width="180" align="right"><?if($next > 0) {?><a href="adcausrlst<?echo "$fext?lang=$lang&amp;ums_type=$ums_type&amp;user=$user&amp;passwd=$passwd&amp;seek=$next";?>" target="_top"><?}?><img border="0" src="images/ar_right.gif" width="35" height="23"<?if($next <= 0) {?> style="filter:alpha(opacity=40)"></a></a><?} else echo "></a>";?></td>
<?
  }
}
$dbase->free();
?>
                        </tr>
                        </table>
                        </td>
                      </tr>
                      <tr>
                        <td width="100%" background="images/globalbk.gif" align="center">
                        <font color="#ffffff" face="Verdana,Arial,Helvetica" size="1"><b><?echo $num;?> MEMBERS IN DATABASE</b></font></td>
                      </tr>
                    </table>
                    </td>
                  </tr>
                </table>
                </td>
              </tr>
            </table>
<?
page_footer();
?>