<?
/*----------------------------- start title -----------------------------------

ADC2000NG Pro - banner exchange software
Copyright (C) 1998-2010  T&D Systems, Inc.
http://www.td-systems.com/

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

* Admin: User Management module
-------------------------------- end title ----------------------------------*/
page_header();
include("adcadminck.inc");

if ($um_change_x && $um_change_y) {
  if ($adm_login && $adm_passwd) {
    // ----| Check login and password fields
    if (ereg("[^a-zA-Z0-9]",$adm_login) || ereg("[^a-zA-Z0-9]",$adm_passwd))
      $last_action = "ERROR: Invalid login or password.";
    else {
      $dbase->query("update server_set set login='$adm_login',password='$adm_passwd'");
      $user = $adm_login;
      $passwd = $adm_passwd;
      $last_action = "login/password was changed.";
    }
  }
  else
    $last_action = "ERROR: Field login or password is empty.";
}

if ($um_usrstat_x && $um_usrstat_y) {
  $expl = new Exploder(array(";",":","|"," ",",","."), $username);
  $num_keys = $expl->GetNumber();
  if ($ums_method != "m_nothing") {
    if ($num_keys > 0) {
      $last_action = "";
      for ($i=0; $i<$num_keys; $i++) {
        $dbase->query("select usr_id from user where usr_login='".$expl->m_segments[$i]."'");
        list($userID) = $dbase->fetch();
        if ($userID) {
          $dbase1 = new ADC_sql;
          $dbase1->connect();
          switch ($ums_method) {
            case "m_enable":
              $dbase->query("update user set usr_aflag=1 where usr_id=$userID");
              $last_action .= "<br>".$expl->m_segments[$i]." was enabled.";
              break;
            case "m_disable":
              $dbase->query("update user set usr_aflag=0 where usr_id=$userID");
              $last_action .= "<br>".$expl->m_segments[$i]." was disabled.";
              break;
            case "m_free":
              $dbase->query("update user set usr_advflag=0 where usr_id=$userID");
              $last_action .= "<br>New status for ".$expl->m_segments[$i]." is 'Free'.";
              break;
            case "m_advertiser":
              $dbase->query("update user set usr_advflag=1 where usr_id=$userID");
              $last_action .= "<br>New status for ".$expl->m_segments[$i]." is 'Advertiser'.";
              break;
            case "m_expired":
              $dbase->query("update user set usr_eflag=0 where usr_id=$userID");
              $last_action .= "<br>New status for ".$expl->m_segments[$i]." is 'Expirable'.";
              break;
            case "m_nonexpired":
              $dbase->query("update user set usr_eflag=1 where usr_id=$userID");
              $last_action .= "<br>New status for ".$expl->m_segments[$i]." is 'Non-expirable'.";
              break;
            case "m_untrust":
              $dbase->query("update user set usr_tflag=0 where usr_id=$userID");
              $dbase->query("update credits set usr_tflag=0 where usr_id=$userID");
              $last_action .= "<br>New status for ".$expl->m_segments[$i]." is 'Regular'.";
              break;
            case "m_trust":
              $dbase->query("update user set usr_tflag=1 where usr_id=$userID");
              $dbase->query("update credits set usr_tflag=1 where usr_id=$userID");
              $last_action .= "<br>New status for ".$expl->m_segments[$i]." is 'Trusted'.";
              break;
            case "m_standard":
              $dbase->query("update user set usr_autoflag=0 where usr_id=$userID");
              $last_action .= "<br>New status for ".$expl->m_segments[$i]." is 'Approval required'.";
              break;
            case "m_autoaccept":
              $dbase->query("update user set usr_autoflag=1 where usr_id=$userID");
              $last_action .= "<br>New status for ".$expl->m_segments[$i]." is 'Auto-accept'.";
              break;
            case "m_remove":
              $dbase->query("select ban_id,ban_type,ban_file,ban_cnt,ban_res from banner where usr_id=$userID");
              while ($row_ban = $dbase->fetch()) {
                list ($d_ban_id,$d_ban_type,$d_ban_file,$d_ban_cnt,$d_ban_res) = $row_ban;
                if ($d_ban_type == 5) {
                  $filename = INCOMING."sw".$swmbanner_res[$d_ban_res]."/".$d_ban_file;
                  @unlink($filename);
                }
                elseif ($d_ban_type == 2) {
                  $filename = INCOMING.$banner_res[$d_ban_res]."/".$expl->m_segments[$i]."/".$d_ban_file;
                  @unlink($filename);
                  $filename = INCOMING.$banner_res[$d_ban_res]."/".$expl->m_segments[$i]."/".$expl->m_segments[$i].$d_ban_cnt.JSEXT;
                  @unlink($filename);
                  $javadir = INCOMING.$banner_res[$d_ban_res]."/".$expl->m_segments[$i];
                  @rmdir($javadir);
                }
                else {
                  $filename = INCOMING.$banner_res[$d_ban_res]."/".$d_ban_file;
                  @unlink($filename);
                }
            
                if ($d_ban_type == 3) {
                  $filename = INCOMING.$banner_res[$d_ban_res]."/".$expl->m_segments[$i].$d_ban_cnt.JSEXT;
                  @unlink($filename);
                }
                $dbase1->query("delete from banner where ban_id=$d_ban_id");
                $dbase1->query("delete from ext_stats where ban_id=$d_ban_id");
                $dbase1->query("delete from keywords where ban_id=$d_ban_id");
                $dbase1->query("delete from h_istats where ban_id=$d_ban_id");
                $dbase1->query("delete from h_cstats where ban_id=$d_ban_id");
                $dbase1->query("delete from m_istats where ban_id=$d_ban_id");
                $dbase1->query("delete from m_cstats where ban_id=$d_ban_id");
                $dbase1->query("delete from d_istats where ban_id=$d_ban_id");
                $dbase1->query("delete from d_cstats where ban_id=$d_ban_id");
              }  // while
              $dbase->free();
              $dbase1->free();
              // ----| Check and delete wardship user
              $dbase->query("select wusr_id from user where usr_id=$userID");
              list($wid) = $dbase->fetch();
              if ($wid) {
                $dbase->query("select ref_users from credits where usr_id=$wid");
                list($ref_users) = $dbase->fetch();
                if ($ref_users) {
                  $ref_users -= 1;
                  $dbase->query("update credits set ref_users=$ref_users where usr_id=$wid");
                }
              }
              $dbase->query("delete from user where usr_id=$userID");
              $dbase->query("delete from user_attr where usr_id=$userID");
              $dbase->query("delete from credits where usr_id=$userID");
              $dbase->query("delete from credit_stats where usr_id=$userID");
              $dbase->query("delete from ban_group where usr_id=$userID");
              $dbase->query("delete from adv_days where usr_id=$userID");
              $dbase->query("delete from adv_months where usr_id=$userID");
              $dbase->query("delete from adv_time where usr_id=$userID");
              $dbase->query("delete from ban_counter where usr_id=$userID");
              $dbase->query("delete from blitz_pool where usr_id=$userID");
              $last_action .= "<br>".$expl->m_segments[$i]." was removed";
              break;
            case "m_nothing":
              break;
          }  // switch ($ums_method)
        }  // if ($userID)
        else
          $last_action .= "<br>ERROR: user ".$expl->m_segments[$i]." not found.";
      }  // for ()
    }  // if ($num_keys > 0)
    else
      $last_action = "ERROR: user(s) not found. 'Username(s)' field is empty!";
  }  // if ($ums_method)
}

if ($um_add_x && $um_add_y) {
  $expl = new Exploder(array(";",":","|"," ",",","."), $username);
  $num_keys = $expl->GetNumber();
  if (!$amount || eregi("([a-zA-Z])", $amount, $arr_vars)) {
    $last_action = "ERROR: Field 'Amount' is incorrect.";
  }
  else {
    if ($ums_for == "m_trust" || $ums_for == "m_all") $num_keys = 1;
    if ($num_keys > 0) {
      $last_action = "";
      for ($i=0; $i<$num_keys; $i++) {

        if ($ums_for == "m_active") {
          $dbase->query("select usr_id from user where usr_login='".$expl->m_segments[$i]."'");
          list($userID) = $dbase->fetch();
        }
        else {
          $dbase->query("select usr_id from user where usr_login='".$expl->m_segments[$i]."'");
          list($userID) = $dbase->fetch();
        }

        if ($userID || $ums_for == "m_trust" || $ums_for == "m_all") {
          $sql_where = "";
          switch ($ums_for) {
            case "m_user":
              $sql_where    = " where usr_id=$userID";
              $sql_wheremod = " where usr_id=$userID";
              $user_name    = $expl->m_segments[$i];
              break;
            case "m_trust":
              $sql_where    = " where usr_tflag=1";
              $sql_wheremod = " where usr_id=$userID";
              $user_name    = "all trusted users";
              break;
            case "m_active":
              $user_name = "all users";
              break;
            case "m_all":
              $user_name = "all users";
              break;
          }
          $last_addate = "(".date(D." ".m." ".Y).") ".$amount;
          if ($ums_service == "m_pop") {
            $sql_str = "update popup_credits set pop_credits=pop_credits+$amount,pop_lastadd='$last_addate'".$sql_wheremod;
            $dbase->query($sql_str);
            $last_action .= "<br>add $amount PopUp credits for ".$user_name.".";
          }
          if ($ums_service == "m_strx") {
            $sql_str = "update strx_credits set strx_credits=strx_credits+$amount,strx_lastadd='$last_addate'".$sql_wheremod;
            $dbase->query($sql_str);
            $last_action .= "<br>add $amount StartPage credits for ".$user_name.".";
          }
          if ($ums_service == "m_bx") {
            switch ($ums_credits) {
              case "m_impcred":
                $sql_str = "update credits set impression=impression+($amount),last_impress='$last_addate'".$sql_where;
                $dbase->query($sql_str);
                $last_action .= "<br>add $amount impression credits for ".$user_name.".";
                break;
              case "m_clccred":
                $sql_str = "update credits set click=click+($amount),last_click='$last_addate'".$sql_where;
                $dbase->query($sql_str);
                $last_action .= "<br>add $amount click credits for ".$user_name.".";
                break;
            }
          }
        }  // if ($userID)
        else
          $last_action .= "<br>ERROR: user ".$expl->m_segments[$i]." not found.";
      }  // for ()
    }  // if ($num_keys > 0)
    else
      $last_action = "ERROR: user(s) not found. 'Username(s)' field is empty!";
  }
}

if ($um_impress_x && $um_impress_y) {
  $expl = new Exploder(array(";",":","|"," ",",","."), $username);
  $num_keys = $expl->GetNumber();
  if (!$ratio || eregi("([a-zA-z])", $ratio, $arr_vars)) {
    $last_action = "ERROR: Field 'Ratio' is incorrect.";
  }
  else {
    if ($ums_for == "m_trust" || $ums_for == "m_all") $num_keys = 1;
    if ($num_keys > 0) {
      $last_action = "";
      for ($i=0; $i<$num_keys; $i++) {
        $dbase->query("select usr_id from user where usr_login='".$expl->m_segments[$i]."'");
        list($userID) = $dbase->fetch();
        if ($userID || $ums_for == "m_trust" || $ums_for == "m_all") {
          $sql_where = "";
          switch ($ums_for) {
            case "m_user":
              $sql_where = " where usr_id=$userID";
              $user_name = $expl->m_segments[$i];
              break;
            case "m_trust":
              $sql_where = " where usr_tflag=1";
              $user_name = "all trusted users";
              break;
            case "m_all":
              $user_name = "all users";
              break;
          }
          $sql_str = "update credits set imp_ratio='$ratio'".$sql_where;
          $dbase->query($sql_str);
          $last_action .= "<br>impresson ratio for ".$user_name." is $ratio.";
        }  // if ($userID)
        else
          $last_action .= "<br>ERROR: user ".$expl->m_segments[$i]." not found.";
      }  // for ()
    }  // if ($num_keys > 0)
    else
      $last_action = "ERROR: user(s) not found. 'Username(s)' field is empty!";
  }
}

if ($um_weight_x && $um_weight_y) {
  $expl = new Exploder(array(";",":","|"," ",",","."), $username);
  $num_keys = $expl->GetNumber();
  if ($ums_for == "m_adv") $num_keys = 1;
  if ($num_keys > 0) {
    $last_action = "";
    for ($i=0; $i<$num_keys; $i++) {
      $dbase->query("select usr_id from user where usr_login='".$expl->m_segments[$i]."'");
      list($userID) = $dbase->fetch();
      if ($userID || $ums_for == "m_adv") {
        $sql_where = "";
        switch ($ums_for) {
          case "m_user":
            $sql_where = " where usr_id=$userID";
            $user_name = $expl->m_segments[$i];
            break;
          case "m_adv":
            $sql_where = " where usr_advflag=1";
            $user_name = "all Advertisers";
            break;
        }
        $sql_str = "update user set usr_weight=$ums_wght".$sql_where;
        $dbase->query($sql_str);
        $last_action .= "<br>'weight' for ".$user_name." is $ums_wght.";
      }  // if ($userID)
      else
        $last_action .= "<br>ERROR: user ".$expl->m_segments[$i]." not found.";
    }  // for ()
  }  // if ($num_keys > 0)
  else
    $last_action = "ERROR: user(s) not found. 'Username(s)' field is empty!";
}

if ($um_blitz_x && $um_blitz_y) {
  switch ($ums_for) {
    case "m_blitz":
      if (!$username || !$credits || !$bangroup || eregi("([a-zA-z])", $credits, $arr_vars))
        $last_action = "ERROR: Please fill all fields for this operation.";
      else {
        $dbase->query("select usr_id from user where usr_login='$username'");
        list($userID) = $dbase->fetch();
        if ($userID) {
          $dbase->query("select grp_id from ban_group where grp_name='$bangroup' and usr_id=$userID");
          list($grpID) = $dbase->fetch();
          if ($grpID) {
            $dbase->query("insert into blitz_pool values ($grpID,$userID,'$bangroup',$credits)");
            $last_action = "user $username has been inserted into Blitz Pool with $credits credits.";
          }
          else
            $last_action = "ERROR: Banner's group $bangroup not found.";
        }
        else
          $last_action = "ERROR: user $username not found.";
      }
      break;
    case "m_rem_blitz":
      if (!username)
        $last_action = "ERROR: Field 'Username' is empty.";
      else {
        $dbase->query("select usr_id from user where usr_login='$username'");
        list($userID) = $dbase->fetch();
        if ($userID) {
          $dbase->query("select grp_id from ban_group where grp_name='$bangroup'");
          list($grpID) = $dbase->fetch();
          $sql_bangrp = "";
          if ($grpID) {
            $sql_bangrp = " and grp_id=$grpID";
            $last_action = "banner's group $bangroup was deleted";
          }
          else
            $last_action .= "user $username has been deleted from Blitz Pool.";
          $sql_str = "delete from blitz_pool where usr_id=$userID".$sql_bangrp;
          $dbase->query($sql_str);
        }
        else
          $last_action = "ERROR: user $username not found.";
      }
      break;
    case "m_res_blitz":
      $dbase->query("delete from blitz_pool");
      $last_action = "all records from Blitz Pool were deleted.";
      break;
  }
}

$dbase->query("select login,password from server_set");
list($login,$password) = $dbase->fetch();
// ----------------------------------------------------------------------------
$NAV_AREA = "User Management";
$help_full = "userman.html";
$help_cntx = $admuserman;
page_navigator();
if ($last_action) {
?>
                      <table border="0" width="100%" cellspacing="03" cellpadding="0" bgcolor="#58B5CF">
                        <tr>
                        <td width="100%"><font face="Verdana,Arial,Helvetica" size="1">last action: <font color="#FF0000"><?echo $last_action;?></font></font></td>
                        </tr>
                      </table>
<?
}
?>
                      <form method="POST" action="adcadmin<?echo $fext;?>">
                      <input type="hidden" name="lang" value="<?echo "$lang";?>">
                      <input type="hidden" name="action" value="<?echo "$action";?>">
                      <input type="hidden" name="user" value="<?echo "$user";?>">
                      <input type="hidden" name="passwd" value="<?echo "$passwd";?>">
                      <font color="black" size="5">CHANGE ADMIN LOGIN/PASSWORD</font>
                      <table border="0" width="100%" cellspacing="0" cellpadding="0">
                        <tr>
                        <td width="35%" bgcolor="#5EB7D0"><font size="2" face="arial"><b>Login</b></font></td>
                        <td width="65%" bgcolor="#5EB7D0" align="right"><font face="arial"><input maxLength="8" name="adm_login" size="48" value="<?echo $login;?>"></font></td>
                        </tr>
                        <tr>
                        <td width="35%" bgcolor="#6CBDD5"><font size="2" face="arial"><b>Password</b></font></td>
                        <td width="65%" bgcolor="#6CBDD5" align="right"><font face="arial"><input maxLength="8" name="adm_passwd" size="48" value="<?echo $password;?>"></font></td>
                        </tr>
                        <tr>
                        <td width="100%" bgcolor="#5EB7D0" align="right" colspan="2"><input type="image" border="0" src="<?echo "$imgsrc";?>proceed.gif" name="um_change" width="83" height="23"></td>
                        </tr>
                      </table>
                      </form>

                      <form method="POST" action="adcadmin<?echo $fext;?>">
                      <input type="hidden" name="lang" value="<?echo "$lang";?>">
                      <input type="hidden" name="action" value="<?echo "$action";?>">
                      <input type="hidden" name="user" value="<?echo "$user";?>">
                      <input type="hidden" name="passwd" value="<?echo "$passwd";?>">
                      <font color="black" size="5">CHANGE USER STATUS</font>
                      <table border="0" width="100%" cellspacing="0" cellpadding="0" bgcolor="#5EB7D0">
                        <tr>
                        <td width="35%"><font size="2" face="arial"><b>Username(s)</b></font></td>
                        <td width="65%" align="right"><font face="arial"><input name="username" size="48" ONFOCUS="if (value == 'Username1;Username2;...') {value =''}" ONBLUR="if (value == '') {value = 'Username1;Username2;...'}" value="Username1;Username2;..."></font></td>
                        </tr>
                        <tr>
                        <td width="35%" bgcolor="#6CBDD5"><font size="2" face="arial"><b>Status</b></font></td>
                        <td width="65%" bgcolor="#6CBDD5" align="right"><font face="arial"><select name="ums_method" size="1">
                          <option value="m_enable" selected>Enabled</option>
                          <option value="m_disable">Disabled</option>
                          <option value="m_nothing">---------------------------</option>
                          <option value="m_free">Free</option>
                          <option value="m_advertiser">Advertiser</option>
                          <option value="m_nothing">---------------------------</option>
                          <option value="m_expired">Expirable</option>
                          <option value="m_nonexpired">Non-expirable</option>
                          <option value="m_nothing">---------------------------</option>
                          <option value="m_untrust">Untrusted</option>
                          <option value="m_trust">Trusted</option>
                          <option value="m_nothing">---------------------------</option>
                          <option value="m_standard">Approval required</option>
                          <option value="m_autoaccept">Auto-accept</option>
                          <option value="m_nothing">---------------------------</option>
                          <option value="m_remove">CANCEL ACCOUNT</option>
                        </select></font></td>
                        </tr>
                        <tr>
                        <td width="35%" bgcolor="#6CBDD5"><font size="2" face="arial"><b>Profile</b></font></td>
                        <td width="65%" bgcolor="#6CBDD5" align="right"><font face="arial"><select name="ums_profile" size="1">
                          <option value="mp_trust">Trusted user</option>
                          <option value="mp_advert">Advertiser</option>
                        </select></font></td>
                        </tr>
                        <tr>
                        <td width="100%" colspan="2" align="right"><input type="image" border="0" src="<?echo "$imgsrc";?>proceed.gif" name="um_usrstat" width="83" height="23"></td>
                        </tr>
                      </table>
                      </form>

                      <form method="POST" action="adcausrlst<?echo $fext;?>" target="_blank">
                      <input type="hidden" name="lang" value="<?echo "$lang";?>">
                      <input type="hidden" name="user" value="<?echo "$user";?>">
                      <input type="hidden" name="passwd" value="<?echo "$passwd";?>">
                      <font color="black" size="5">GET USERLIST</font>
                      <table border="0" width="100%" cellspacing="0" cellpadding="0" bgcolor="#5EB7D0">
                        <tr>
                        <td width="35%"><font size="2" face="arial"><b>Accounts type</b></font></td>
                        <td width="65%" align="right"><font face="arial"><select name="ums_type" size="1">
<?
$num = count($user_sort);
for ($i=0; $i<$num; $i++) {
  $mn = select_parse($user_sort[$i],"|");
  echo "                          <option value=\"$mn[1]\">$mn[0]</option>\n";
}
?>
                        </select></font></td>
                        </tr>
                        <tr>
                        <td width="35%" bgcolor="#6CBDD5"></td>
                        <td width="65%" bgcolor="#6CBDD5" align="right"><input type="image" border="0" src="<?echo "$imgsrc";?>proceed.gif" name="um_ulist" width="83" height="23"></td>
                        </tr>
                      </table>
                      </form>

                      <form method="POST" action="adcausrlst<?echo $fext;?>" target="_blank">
                      <input type="hidden" name="lang" value="<?echo "$lang";?>">
                      <input type="hidden" name="action" value="<?echo "$action";?>">
                      <input type="hidden" name="subaction" value="one_user">
                      <input type="hidden" name="user" value="<?echo "$user";?>">
                      <input type="hidden" name="passwd" value="<?echo "$passwd";?>">
                      <font color="black" size="5">SEARCH USER</font>
                      <table border="0" width="100%" cellspacing="0" cellpadding="0" bgcolor="#5EB7D0">
                        <tr>
                          <td width="35%"><font size="2" face="arial"><b>Username</b></font></td>
                          <td width="65%" align="right"><font face="arial"><input name="srch_username" size="48"></font></td>
                        </tr>
                        <tr>
                          <td width="35%"><font size="2" face="arial"><b>E-mail</b></font></td>
                          <td width="65%" align="right"><font face="arial"><input name="srch_email" size="48"></font></td>
                        </tr>
                        <tr>
                          <td width="35%"><font size="2" face="arial"><b>URL</b></font></td>
                          <td width="65%" align="right"><font face="arial"><input name="srch_url" size="48"></font></td>
                        </tr>
                        <tr>
                          <td width="35%" bgcolor="#6CBDD5"></td>
                          <td width="65%" bgcolor="#6CBDD5" align="right"><input type="image" border="0" src="<?echo "$imgsrc";?>proceed.gif" name="um_search" width="83" height="23"></td>
                        </tr>
                      </table>
                      </form>

<!--
                      <form method="POST" action="adcadmin<?echo $fext;?>">
                      <input type="hidden" name="lang" value="<?echo "$lang";?>">
                      <input type="hidden" name="action" value="<?echo "$action";?>">
                      <input type="hidden" name="user" value="<?echo "$user";?>">
                      <input type="hidden" name="passwd" value="<?echo "$passwd";?>">
                      <font color="black" size="5">GET STATS</font>
                      <table border="0" width="100%" cellspacing="0" cellpadding="0" bgcolor="#5EB7D0">
                        <tr>
                        <td width="35%"><font size="2" face="arial"><b>Stats type</b></font></td>
                        <td width="65%" align="right"><font face="arial"><select name="ums_type" size="1">
                          <option value="m_enable">Nothing here yet</option>
                          <option value="m_affiliate">Affiliate</option>
                          <option value="m_bx">Banner Exchange</option>
                          <option value="m_sbx">SwimBanner Exchange</option>
                          <option value="m_tx">TX Exchange</option>
                        </select></font></td>
                        </tr>
                        <tr>
                        <td width="35%" bgcolor="#6CBDD5"></td>
                        <td width="65%" bgcolor="#6CBDD5" align="right"><input type="image" border="0" src="<?echo "$imgsrc";?>proceed.gif" name="um_ulist" width="83" height="23"></td>
                        </tr>
                      </table>
                      </form>
-->

                      <form method="POST" action="adcadmin<?echo $fext;?>">
                      <input type="hidden" name="lang" value="<?echo "$lang";?>">
                      <input type="hidden" name="action" value="<?echo "$action";?>">
                      <input type="hidden" name="user" value="<?echo "$user";?>">
                      <input type="hidden" name="passwd" value="<?echo "$passwd";?>">
                      <font color="black" size="5">ADD CREDITS TO USER</font>
                      <table border="0" width="100%" cellspacing="0" cellpadding="0" bgcolor="#5EB7D0">
                        <tr>
                        <td width="35%"><font size="2" face="arial"><b>Username(s)</b></font></td>
                        <td width="65%" align="right"><font face="arial"><input name="username" size="48" ONFOCUS="if (value == 'Username1;Username2;...') {value =''}" ONBLUR="if (value == '') {value = 'Username1;Username2;...'}" value="Username1;Username2;..."></font></td>
                        </tr>
                        <tr>
                        <td width="35%" bgcolor="#6CBDD5"><font size="2" face="arial"><b>Amount</b></font></td>
                        <td width="65%" bgcolor="#6CBDD5" align="right"><font face="arial"><input maxLength="9" name="amount" size="48"></font></td>
                        </tr>
                        <tr>
                        <td width="35%"><font size="2" face="arial"><b>Credits type</b></font></td>
                        <td width="65%" align="right"><font face="arial"><select name="ums_credits" size="1">
                          <option value="m_impcred" selected>Impressions credits</option>
                          <option value="m_clccred">Click credits</option>
                        </select></font></td>
                        </tr>
                        <tr>
                        <td width="35%" bgcolor="#6CBDD5"><font size="2" face="arial"><b>Service</b></font></td>
                        <td width="65%" bgcolor="#6CBDD5" align="right"><font face="arial"><select name="ums_service" size="1">
                          <option value="m_bx" selected>Banner Exchange</option>
                          <option value="m_pop">PopUp Exchange</option>
                          <option value="m_strx">StartPage Exchange</option>
<!--
                          <option value="m_sbx">SwimBanner Exchange</option>
                          <option value="m_tx">TX Exchange</option>
-->
                        </select></font></td>
                        </tr>
                        <tr>
                        <td width="35%"><font size="2" face="arial"><b>For</b></font></td>
                        <td width="65%" align="right"><font face="arial"><select name="ums_for" size="1">
                          <option value="m_user" selected>Selected user(s)</option>
                          <option value="m_trust">All trusted users</option>
                          <option value="m_all">All users</option>
                        </select></font></td>
                        </tr>
                        <tr>
                        <td width="35%" bgcolor="#6CBDD5"></td>
                        <td width="65%" bgcolor="#6CBDD5" align="right"><input type="image" border="0" src="<?echo "$imgsrc";?>proceed.gif" name="um_add" width="83" height="23"></td>
                        </tr>
                      </table>
                      </form>

                      <form method="POST" action="adcadmin<?echo $fext;?>">
                      <input type="hidden" name="lang" value="<?echo "$lang";?>">
                      <input type="hidden" name="action" value="<?echo "$action";?>">
                      <input type="hidden" name="user" value="<?echo "$user";?>">
                      <input type="hidden" name="passwd" value="<?echo "$passwd";?>">
                      <font color="black" size="5">CHANGE IMPRESSION RATIO</font>
                      <table border="0" width="100%" cellspacing="0" cellpadding="0" bgcolor="#5EB7D0">
                        <tr>
                        <td width="35%"><font size="2" face="arial"><b>Username(s)</b></font></td>
                        <td width="65%" align="right"><font face="arial"><input name="username" size="48" ONFOCUS="if (value == 'Username1;Username2;...') {value =''}" ONBLUR="if (value == '') {value = 'Username1;Username2;...'}" value="Username1;Username2;..."></font></td>
                        </tr>
                        <tr>
                        <td width="35%" bgcolor="#6CBDD5"><font size="2" face="arial"><b>Ratio</b></font></td>
                        <td width="65%" bgcolor="#6CBDD5" align="right"><font face="arial"><input maxLength="7" name="ratio" size="48" value="1:2"></font></td>
                        </tr>
                        <tr>
                        <td width="35%"><font size="2" face="arial"><b>For</b></font></td>
                        <td width="65%" align="right"><font face="arial"><select name="ums_for" size="1">
                          <option value="m_user" selected>Selected user(s)</option>
                          <option value="m_trust">All trusted users</option>
                          <option value="m_all">All users</option>
                        </select></font></td>
                        </tr>
                        <tr>
                        <td width="35%" bgcolor="#6CBDD5"></td>
                        <td width="65%" bgcolor="#6CBDD5" align="right"><input type="image" border="0" src="<?echo "$imgsrc";?>proceed.gif" name="um_impress" width="83" height="23"></td>
                        </tr>
                      </table>
                      </form>

                      <form method="POST" action="adcadmin<?echo $fext;?>">
                      <input type="hidden" name="lang" value="<?echo "$lang";?>">
                      <input type="hidden" name="action" value="<?echo "$action";?>">
                      <input type="hidden" name="user" value="<?echo "$user";?>">
                      <input type="hidden" name="passwd" value="<?echo "$passwd";?>">
                      <font color="black" size="5">SET &quot;WEIGHT&quot; FOR USER</font>
                      <table border="0" width="100%" cellspacing="0" cellpadding="0" bgcolor="#5EB7D0">
                        <tr>
                        <td width="35%"><font size="2" face="arial"><b>Username(s)</b></font></td>
                        <td width="65%" align="right"><font face="arial"><input name="username" size="48" ONFOCUS="if (value == 'Username1;Username2;...') {value =''}" ONBLUR="if (value == '') {value = 'Username1;Username2;...'}" value="Username1;Username2;..."></font></td>
                        </tr>
                        <tr>
                        <td width="35%" bgcolor="#6CBDD5"><font size="2" face="arial"><b>Weight</b></font></td>
                        <td width="65%" bgcolor="#6CBDD5" align="right"><font face="arial"><select name="ums_wght" size="1">
                          <option selected>1</option>
<?
for ($i=2; $i<=100; $i++)
  echo "                          <option>$i</option>\n";
?>
                        </select></font></td>
                        </tr>
                        <tr>
                        <td width="35%"><font size="2" face="arial"><b>For</b></font></td>
                        <td width="65%" align="right"><font face="arial"><select name="ums_for" size="1">
                          <option value="m_user" selected>Selected user(s)</option>
                          <option value="m_adv">All advertisers</option>
                        </select></font></td>
                        </tr>
                        <tr>
                        <td width="35%" bgcolor="#6CBDD5"></td>
                        <td width="65%" bgcolor="#6CBDD5" align="right"><input type="image" border="0" src="<?echo "$imgsrc";?>proceed.gif" name="um_weight" width="83" height="23"></td>
                        </tr>
                      </table>
                      </form>

                      <form method="POST" action="adcadmin<?echo $fext;?>">
                      <input type="hidden" name="lang" value="<?echo "$lang";?>">
                      <input type="hidden" name="action" value="<?echo "$action";?>">
                      <input type="hidden" name="user" value="<?echo "$user";?>">
                      <input type="hidden" name="passwd" value="<?echo "$passwd";?>">
                      <font color="black" size="5">BLITZ MODE</font>
                      <table border="0" width="100%" cellspacing="0" cellpadding="0" bgcolor="#5EB7D0">
                        <tr>
                        <td width="35%"><font size="2" face="arial"><b>Username</b></font></td>
                        <td width="65%" align="right"><font face="arial"><input name="username" size="48"></font></td>
                        </tr>
                        <tr>
                        <td width="35%" bgcolor="#6CBDD5"><font size="2" face="arial"><b>Banner's group</b></font></td>
                        <td width="65%" bgcolor="#6CBDD5" align="right"><font face="arial"><input name="bangroup" size="48"></font></td>
                        </tr>
                        <tr>
                        <td width="35%"><font size="2" face="arial"><b>Credits amount</b></font></td>
                        <td width="65%" align="right"><font face="arial"><input maxLength="9" name="credits" size="48"></font></td>
                        </tr>
                        <tr>
                        <td width="35%" bgcolor="#6CBDD5"><font size="2" face="arial"><b>Method</b></font></td>
                        <td width="65%" bgcolor="#6CBDD5" align="right"><font face="arial"><select name="ums_for" size="1">
                          <option value="m_blitz" selected>Add user(s) to pool</option>
                          <option value="m_rem_blitz">Remove user(s) from pool</option>
                          <option value="m_res_blitz">Reset pool</option>
                        </select></font></td>
                        </tr>
                        <tr>
                        <td width="35%"></td>
                        <td width="65%" align="right"><input type="image" border="0" src="<?echo "$imgsrc";?>proceed.gif" name="um_blitz" width="83" height="23"></td>
                        </tr>
                      </table>
                      </form>
                    </td>
                  </tr>
                </table>
                </td>
              </tr>
            </table>
