<?
/*----------------------------- start title -----------------------------------

ADC2000NG Pro - banner exchange software
Copyright (C) 1998-2010  T&D Systems, Inc.
http://www.td-systems.com/

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

* General Stats module
------------------------------- end title -----------------------------------*/
user_check();

if (!$c_group) {
  $dbase->query("select min(grp_id) from ban_group where usr_id=$userID");
  list($c_group) = $dbase->fetch();
}

if (!$c_banner) {
  $dbase->query("select min(ban_id) from banner where usr_id=$userID");
  list($c_banner) = $dbase->fetch();
}

if ($subaction == "reset") {
  $c_date = date("M")." ".date("d")." ".date("Y");
  $dbase->query("update credit_stats set lr_date='$c_date',lr_impress=0,lr_clicks=0 where usr_id=$userID");
}

$dbase->query("select j_date,j_impress,j_clicks,lr_date,lr_impress,lr_clicks,
               afl_impress,afl_clicks,trf_impress,trf_clicks,trf_from,trf_date from credit_stats where usr_id=$userID");
list($j_date,$j_impress,$j_clicks,$lr_date,$lr_impress,$lr_clicks,
     $afl_impress,$afl_clicks,$trf_impress,$trf_clicks,$trf_from,$trf_date) = $dbase->fetch();

$dbase->query("select grp_name,grp_impress,grp_clicks from ban_group where grp_id=$c_group and usr_id=$userID");
list($grp_name,$grp_impress,$grp_clicks) = $dbase->fetch();

$dbase->query("select usr_weight,usr_tflag,usr_eflag,usr_advflag,usr_autoflag from user where usr_id=$userID");
list($usr_weight,$usr_tflag,$usr_eflag,$usr_advflag,$usr_autoflag) = $dbase->fetch();
if ($usr_tflag) $usr_status = "Trusted, ";
else $usr_status = "Regular, ";
if ($usr_eflag) $usr_status .= "Non-expirable, ";
else $usr_status .= "Expirable, ";
if ($usr_advflag) $usr_status .= "Advertiser, ";
else $usr_status .= "Free, ";
if ($usr_autoflag) $usr_status .= "Auto-accept";
else $usr_status .= "Approval required";

if ($c_banner) {
  $dbase->query("select grp_id,ban_name,ban_upload,ban_impress,ban_clicks from banner where ban_id=$c_banner and usr_id=$userID");
  list($b_grp_id,$ban_name,$ban_upload,$ban_impress,$ban_clicks) = $dbase->fetch();
  $dbase->query("select grp_name from ban_group where grp_id=$b_grp_id");
  list($b_grp_name) = $dbase->fetch();
}

$dbase->query("select impression,click,imp_ratio,last_impress,last_click,ref_users,ref_ratio,ern_credits from credits where usr_id=$userID");
list($impression,$click,$imp_ratio,$last_impress,$last_click,$ref_users,$ref_ratio,$ern_credits) = $dbase->fetch();

$dbase->free();
// ----------------------------------------------------------------------------
$NAV_AREA = $lang_gstats_main;
$help_full = "genstats.html";
$help_cntx = $genstats;
page_navigator();
?>
                    <big><big><?echo $lang_gstats_title;?></big></big>
                    <table border="0" width="100%" cellspacing="0" cellpadding="0" bgcolor="<?echo $c_table_light;?>">
                      <tr>
                        <td width="100%"><table border="0" width="100%" cellpadding="0">
                        <tr>
                        <td width="41%" bgcolor="<?echo $c_table_light;?>"><small><strong><?echo $lang_gstats_jdate;?></strong></small></td>
                        <td width="59%" align="right" bgcolor="<?echo $c_table_light;?>"><small><?echo "$j_date";?></small></td>
                        </tr>
                        <tr>
                        <td width="41%" bgcolor="<?echo $c_table_dark;?>"><small><strong><?echo $lang_gstats_impress;?></strong></small></td>
                        <td width="59%" align="right" bgcolor="<?echo $c_table_dark;?>"><small><?echo "$j_impress";?></small></td>
                        </tr>
                        <tr>
                        <td width="41%"><small><strong><?echo $lang_gstats_clicks;?></strong></small></td>
                        <td width="59%" align="right"><small><?echo "$j_clicks";?></small></td>
                        </tr>
                        <tr>
                        <td width="41%" bgcolor="<?echo $c_table_dark;?>"><small><strong><?echo $lang_gstats_ctr;?></strong></small></td>
                        <td width="59%" align="right" bgcolor="<?echo $c_table_dark;?>"><small><?if ($j_impress) echo number_format(($j_clicks/$j_impress)*100,2); else echo "0";?> %</small></td>
                        </tr>
                        <tr>
                        <td width="100%" colspan="2" background="images/globalbk.gif">
                        <font size="2" color="<?echo $c_table_note;?>"><?echo $lang_gstats_for;?> <b><?echo "$user";?></b></font></td>
                        </tr>
                        </table>
                        </td>
                      </tr>
                    </table>
                    <br>
                    <big><big><?echo $lang_gstats_slreset;?></big></big>
                    <table border="0" width="100%" cellspacing="0" cellpadding="0" bgcolor="<?echo $c_table_light;?>">
                      <tr>
                        <td width="100%"><table border="0" width="100%" cellpadding="0">
                        <tr>
                        <td width="41%"><small><strong><?echo $lang_gstats_slresetat;?></strong></small></td>
                        <td width="59%" align="right"><small><?echo "$lr_date";?></small></td>
                        </tr>
                        <tr>
                        <td width="41%" bgcolor="<?echo $c_table_dark;?>"><small><strong><?echo $lang_gstats_impress;?></strong></small></td>
                        <td width="59%" bgcolor="<?echo $c_table_dark;?>" align="right"><small><?echo "$lr_impress";?></small></td>
                        </tr>
                        <tr>
                        <td width="41%"><small><strong><?echo $lang_gstats_clicks;?></strong></small></td>
                        <td width="59%" align="right"><small><?echo "$lr_clicks";?></small></td>
                        </tr>
                        <tr>
                        <td width="41%" bgcolor="<?echo $c_table_dark;?>"><small><strong><?echo $lang_gstats_ctr;?></strong></small></td>
                        <td width="59%" bgcolor="<?echo $c_table_dark;?>" align="right"><small><?if ($lr_impress) echo number_format(($lr_clicks/$lr_impress)*100,2); else echo "0";?> %</small></td>
                        </tr>
                        <tr>
                        <td width="100%" colspan="2" align="right"><form method="POST" action="adcmember<?echo $fext;?>">
                        <input type="hidden" name="lang" value="<?echo "$lang";?>">
                        <input type="hidden" name="action" value="<?echo "$action";?>">
                        <input type="hidden" name="subaction" value="reset">
                        <input type="hidden" name="userID" value="<?echo "$userID";?>">
                        <input type="hidden" name="user" value="<?echo "$user";?>">
                        <input type="hidden" name="passwd" value="<?echo "$passwd";?>">
                        <p><input type="image" border="0" src="<?echo "$imgsrc";?>reset.gif" width="105" height="23"></p>
                        </td>
                        </form>
                        </tr>
                        </table>
                        </td>
                      </tr>
                    </table>
<?
$dbase->query("select grp_name,blitz_credit from blitz_pool where usr_id=$userID");
if ($dbase->num_rows()) {
?>
                    <br><font color="<?echo $c_table_blitz;?>"><big><big><?echo $lang_gstats_bpool;?></big></big></font>
                    <table border="0" width="100%" cellspacing="0" cellpadding="0">
                      <tr>
                        <td width="100%" bgcolor="<?echo $c_table_light;?>"><table border="0" width="100%">
                        <tr>
                        <td width="41%"><strong><small><?echo $lang_gstats_bgroup;?></small></strong></td>
                        <td width="59%" align="right"><strong><small><?echo $lang_gstats_credits;?></small></strong></td>
                        </tr>
<?
  $trg = new CTrigger;
  while($row = $dbase->fetch()) {
    $trg->sw();
?>
                          <tr>
                            <td width="41%"<?if ($trg->tr_status) echo " bgcolor=\"$c_table_dark\"";?>><small><?echo "$row[0]";?></small></td>
                            <td width="59%"<?if ($trg->tr_status) echo " bgcolor=\"$c_table_dark\"";?> align="right"><small><?echo "$row[1]";?></small></td>
                          </tr>
<?
  }
?>
                        <tr>
                        <td width="100%" colspan="2" background="images/globalbk.gif">
                        <font size="2" color="<?echo $c_table_note;?>"><?echo $lang_gstats_for;?> <b><?echo "$user";?></font></td>
                        </tr>
                        </table>
                        </td>
                      </tr>
                    </table>
<?
}
?>
                    <br><big><big><?echo $lang_gstats_fcgroup;?></big></big>
                    <table border="0" width="100%" cellspacing="0" cellpadding="0" bgcolor="<?echo $c_table_light;?>">
                      <tr>
                        <td width="100%"><table border="0" width="100%" cellpadding="0">
                        <tr>
                        <td width="41%"><small><strong><?echo $lang_gstats_gname;?></strong></small></td>
                        <td width="59%" align="right"><small><?echo "$grp_name";?></small></td>
                        </tr>
                        <tr>
                        <td width="41%" bgcolor="<?echo $c_table_dark;?>"><small><strong><?echo $lang_gstats_impress;?></strong></small></td>
                        <td width="59%" align="right" bgcolor="<?echo $c_table_dark;?>"><small><?echo "$grp_impress";?></small></td>
                        </tr>
                        <tr>
                        <td width="41%"><small><strong><?echo $lang_gstats_clicks;?></strong></small></td>
                        <td width="59%" align="right"><small><?echo "$grp_clicks";?></small></td>
                        </tr>
                        <tr>
                        <td width="41%" bgcolor="<?echo $c_table_dark;?>"><small><strong><?echo $lang_gstats_ctr;?></strong></small></td>
                        <td width="59%" align="right" bgcolor="<?echo $c_table_dark;?>"><small><?if ($grp_impress) echo number_format(($grp_clicks/$grp_impress)*100,2); else echo "0";?> %</small></td>
                        </tr>
                        <tr>
                        <td width="100%" colspan="2" align="right"><form method="POST" action="adcmember<?echo $fext;?>">
                        <input type="hidden" name="lang" value="<?echo "$lang";?>">
                        <input type="hidden" name="action" value="<?echo "$action";?>">
                        <input type="hidden" name="subaction" value="get_group">
                        <input type="hidden" name="userID" value="<?echo "$userID";?>">
                        <input type="hidden" name="user" value="<?echo "$user";?>">
                        <input type="hidden" name="passwd" value="<?echo "$passwd";?>">
                        <div align="right"><table border="0" width="20%" cellspacing="0" cellpadding="0">
                        <tr>
                        <td width="50%" align="right"><input type="image" border="0" src="<?echo "$imgsrc";?>getstats.gif" width="96" height="23"></td>
                        <td width="50%"><select name="c_group" size="1">
<?
$dbase->query("select grp_id,grp_name from ban_group where usr_id=$userID order by grp_name");
while ($row = $dbase->fetch()) {
  echo "                          <option value=$row[0] style=\"background:$c_menu_light1\"";
  if ($row[0] == $c_group) echo " selected";
  echo ">$row[1]</option>\n";
}
$dbase->free();
?>
                        </select></td>
                        </tr>
                        </table>
                        </div>
                        </td>
                        </form>
                        </tr>
                        </table>
                        </td>
                      </tr>
                    </table>
                    <br><big><big><?echo $lang_gstats_fcbanner;?></big></big>
                    <table border="0" width="100%" cellspacing="0" cellpadding="0" bgcolor="<?echo $c_table_light;?>">
                      <tr>
                        <td width="100%"><table border="0" width="100%" cellpadding="0">
                        <tr>
                          <td width="41%"><small><strong><?echo $lang_gstats_baname;?></strong></small></td>
                          <td width="59%" align="right"><small><?if (!$ban_name) echo "(N/A)"; else echo "$ban_name";?></small></td>
                        </tr>
                        <tr>
                          <td width="41%" bgcolor="<?echo $c_table_dark;?>"><small><strong><?echo $lang_gstats_gname;?></strong></small></td>
                          <td width="59%" bgcolor="<?echo $c_table_dark;?>" align="right"><small><?echo $b_grp_name;?></small></td>
                        </tr>
                        <tr>
                          <td width="41%"><small><strong><?echo $lang_gstats_upldate;?></strong></small></td>
                          <td width="59%" align="right"><small><?if (!$ban_upload) echo $lang_gstats_noupl; else echo "$ban_upload";?></small></td>
                        </tr>
                        <tr>
                          <td width="41%" bgcolor="<?echo $c_table_dark;?>"><small><strong><?echo $lang_gstats_impress;?></strong></small></td>
                          <td width="59%" bgcolor="<?echo $c_table_dark;?>" align="right"><small><?if (!$ban_impress) echo $lang_gstats_none; else echo "$ban_impress";?></small></td>
                        </tr>
                        <tr>
                          <td width="41%"><small><strong><?echo $lang_gstats_clicks;?></strong></small></td>
                          <td width="59%" align="right"><small><?if (!$ban_clicks) echo $lang_gstats_none; else echo "$ban_clicks";?></small></td>
                        </tr>
                        <tr>
                          <td width="41%" bgcolor="<?echo $c_table_dark;?>"><small><strong><?echo $lang_gstats_ctr;?></strong></small></td>
                          <td width="59%" bgcolor="<?echo $c_table_dark;?>" align="right"><small><?if ($ban_impress) echo number_format(($ban_clicks/$ban_impress)*100,2); else echo "0";?> %</small></td>
                        </tr>
<?
if ($ban_name) {
?>
                        <tr>
                        <td width="100%" colspan="2" align="right"><form method="POST" action="adcmember<?echo $fext;?>">
                        <input type="hidden" name="lang" value="<?echo "$lang";?>">
                        <input type="hidden" name="action" value="genstats">
                        <input type="hidden" name="subaction" value="get_banner">
                        <input type="hidden" name="userID" value="<?echo "$userID";?>">
                        <input type="hidden" name="user" value="<?echo "$user";?>">
                        <input type="hidden" name="passwd" value="<?echo "$passwd";?>">
                        <div align="right"><table border="0" width="20%" cellspacing="0" cellpadding="0">
                        <tr>
                        <td width="50%" align="right"><input type="image" border="0" src="<?echo "$imgsrc";?>getstats.gif" width="96" height="23"></td>
                        <td width="50%"><select name="c_banner" size="1">
<?
  $dbase->query("select ban_id,ban_name from banner where usr_id=$userID order by ban_name");
  while ($row = $dbase->fetch()) {
    echo "                          <option value=$row[0] style=\"background:$c_menu_light1\"";
    if ($row[0] == $c_banner) echo " selected";
    echo ">$row[1]</option>\n";
  }
  $dbase->free();
?>
                        </select></td>
                        </tr>
                        </table>
                        </div>
                        </td>
                        </form>
<?
}  // if ($ban_name)
?>
                        </tr>
                        </table>
                        </td>
                      </tr>
                    </table>
                    <br><big><big><?echo $lang_gstats_credinfo;?></big></big>
                    <table border="0" width="100%" cellspacing="0" cellpadding="0" bgcolor="<?echo $c_table_light;?>">
                      <tr>
                        <td width="100%"><table border="0" width="100%">
                        <tr>
                        <td width="41%"><strong><small><?echo $lang_gstats_uimpress;?></small></strong></td>
                        <td width="59%" align="right"><small><?echo "$impression";?></small></td>
                        </tr>
                        <tr>
                        <td width="41%" bgcolor="<?echo $c_table_dark;?>"><strong><small><?echo $lang_gstats_uclicks;?></small></strong></td>
                        <td width="59%" align="right" bgcolor="<?echo $c_table_dark;?>"><small><?echo "$click";?></small></td>
                        </tr>
                        <tr>
                        <td width="41%"><strong><small><?echo $lang_gstats_laimpress;?></small></strong></td>
                        <td width="59%" align="right"><small><?echo "$last_impress";?></small></td>
                        </tr>
                        <tr>
                        <td width="41%" bgcolor="<?echo $c_table_dark;?>"><strong><small><?echo $lang_gstats_laclicks;?></small></strong></td>
                        <td width="59%" align="right" bgcolor="<?echo $c_table_dark;?>"><small><?echo "$last_click";?></small></td>
                        </tr>
                        <tr>
                        <td width="41%"><strong><small><?echo $lang_gstats_excratio;?></small></strong></td>
                        <td width="59%" align="right"><small><?echo "$imp_ratio";?></small></td>
                        </tr>
                        <tr>
                        <td width="41%" bgcolor="<?echo $c_table_dark;?>"><strong><small><?echo $lang_gstats_banweight;?></small></strong></td>
                        <td width="59%" align="right" bgcolor="<?echo $c_table_dark;?>"><small><?echo $usr_weight;?></small></td>
                        </tr>
                        <tr>
                        <td width="41%"><strong><small><?echo $lang_gstats_ystatus;?></small></strong></td>
                        <td width="59%" align="right"><small><?echo $usr_status;?></small></td>
                        </tr>
                        <tr>
                        <td width="100%" colspan="2" background="images/globalbk.gif">
                        <font size="2" color="<?echo $c_table_note;?>">global stats for <b><?echo "$user";?></font></td>
                        </tr>
                        </table>
                        </td>
                      </tr>
                    </table>
                    <br><big><big><?echo $lang_gstats_refinfo;?></big></big>
                    <table border="0" width="100%" cellspacing="0" cellpadding="0" bgcolor="<?echo $c_table_light;?>">
                      <tr>
                        <td width="100%"><table border="0" width="100%">
                        <tr>
                        <td width="41%"><strong><small><?echo $lang_gstats_refusers;?></small></strong></td>
                        <td width="59%" align="right"><small><?echo "$ref_users";?></small></td>
                        </tr>
                        <tr>
                        <td width="41%" bgcolor="<?echo $c_table_dark;?>"><strong><small><?echo $lang_gstats_refratio;?></small></strong></td>
                        <td width="59%" align="right" bgcolor="<?echo $c_table_dark;?>"><small><?echo "$ref_ratio";?></small></td>
                        </tr>
                        <tr>
                        <td width="41%"><strong><small><?echo $lang_gstats_earcredits;?></small></strong></td>
                        <td width="59%" align="right"><small><?echo "$ern_credits";?></small></td>
                        </tr>
                        <tr>
                        <td width="100%" colspan="2" background="images/globalbk.gif">
                        <font size="2" color="<?echo $c_table_note;?>"><?echo $lang_gstats_for;?> <b><?echo "$user";?></font></td>
                        </tr>
                        </table>
                        </td>
                      </tr>
                    </table>
                    <br><big><big><?echo $lang_gstats_aflinfo;?></big></big>
                    <table border="0" width="100%" cellspacing="0" cellpadding="0" bgcolor="<?echo $c_table_light;?>">
                      <tr>
                        <td width="100%"><table border="0" width="100%">
                        <tr>
                        <td width="41%"><strong><small><?echo $lang_gstats_timpress;?></small></strong></td>
                        <td width="59%" align="right"><small><?echo "$afl_impress";?></small></td>
                        </tr>
                        <tr>
                        <td width="41%" bgcolor="<?echo $c_table_dark;?>"><strong><small><?echo $lang_gstats_tclicks;?></small></strong></td>
                        <td width="59%" align="right" bgcolor="<?echo $c_table_dark;?>"><small><?echo "$afl_clicks";?></small></td>
                        </tr>
                        <tr>
                        <td width="100%" colspan="2" background="images/globalbk.gif">
                        <font size="2" color="<?echo $c_table_note;?>"><?echo $lang_gstats_for;?> <b><?echo "$user";?></font></td>
                        </tr>
                        </table>
                        </td>
                      </tr>
                    </table>
                    <br><big><big><?echo $lang_gstats_transfer;?></big></big>
                    <table border="0" width="100%" cellspacing="0" cellpadding="0" bgcolor="<?echo $c_table_light;?>">
                      <tr>
                        <td width="100%"><table border="0" width="100%">
                        <tr>
                        <td width="41%"><strong><small><?echo $lang_gstats_transfrom;?></small></strong></td>
                        <td width="59%" align="right"><small><?echo "$trf_from";?></small></td>
                        </tr>
                        <tr>
                        <td width="41%" bgcolor="<?echo $c_table_dark;?>"><strong><small><?echo $lang_gstats_transimpress;?></small></strong></td>
                        <td width="59%" align="right" bgcolor="<?echo $c_table_dark;?>"><small><?echo "$trf_impress";?></small></td>
                        </tr>
                        <tr>
                        <td width="41%"><strong><small><?echo $lang_gstats_transclicks;?></small></strong></td>
                        <td width="59%" align="right"><small><?echo "$trf_clicks";?></small></td>
                        </tr>
                        <tr>
                        <td width="41%" bgcolor="<?echo $c_table_dark;?>"><strong><small><?echo $lang_gstats_ltdate;?></small></strong></td>
                        <td width="59%" align="right" bgcolor="<?echo $c_table_dark;?>"><small><?echo "$trf_date";?></small></td>
                        </tr>
                        <tr>
                        <td width="100%" colspan="2" background="images/globalbk.gif">
                        <font size="2" color="<?echo $c_table_note;?>"><?echo $lang_gstats_for;?> <b><?echo "$user";?></font></td>
                        </tr>
                        </table>
                        </td>
                      </tr>
                    </table>
                    </td>
                  </tr>
                </table>
                </td>
              </tr>
            </table>
