<?
/*----------------------------- start title -----------------------------------

ADC2000NG Pro - banner exchange software
Copyright (C) 1998-2010  T&D Systems, Inc.
http://www.td-systems.com/

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

* Personal Settings module
-------------------------------- end title ----------------------------------*/
user_check();

if ($ps_proceed_x && $ps_proceed_y) {
  // ----| Check fields
  if (!$ps_name || !$ps_passwd || !$ps_address || !$ps_city || !$ps_zip || !$ps_country || !$ps_phone || !$ps_email)
    $last_action = $lang_person_err_fill;
  else {
    // ----| Check login and password fields
    if (eregi("[^a-zA-Z0-9]", $ps_passwd, $arr_vars))
      $last_action = $lang_person_err_pass;
    else {
      // ----| Check Zip/State field
      if (eregi("[^a-zA-Z0-9]", $ZipCode, $arr_vars))
        $last_action = $lang_person_err_zip;
      else {
        if ($ps_public == "ON") $ps_public = 1;
        else $ps_public = 0;
        if ($ps_flash == "ON") $ps_flash = 1;
        else $ps_flash = 0;
        $dbase->query("update user set usr_passwd='$ps_passwd',cntr_id=$ps_country,usr_fflag=$ps_flash where usr_id=$userID");
        $dbase->query("update user_attr set usr_name='$ps_name',usr_addr='$ps_address',usr_city='$ps_city',usr_email='$ps_email',usr_phone='$ps_phone',usr_zip='$ps_zip',usr_pflag=$ps_public where usr_id=$userID");
        $last_action = $lang_person_ok;
      }
    }
  }
}
$dbase->query("select usr_passwd,cntr_id,usr_fflag from user where usr_id='$userID'");
list($usr_passwd,$cntr_id,$usr_fflag) = $dbase->fetch();
$dbase->query("select usr_name,usr_addr,usr_city,usr_email,usr_phone,usr_zip,usr_pflag from user_attr where usr_id='$userID'");
list($usr_name,$usr_addr,$usr_city,$usr_email,$usr_phone,$usr_zip,$usr_pflag) = $dbase->fetch();
$dbase->free();
// ----------------------------------------------------------------------------
$NAV_AREA = $lang_person_title ;
$help_full = "personal.html";
$help_cntx = $personal;
page_navigator();
?>
                  <table width="100%" cellspacing="0" cellpadding="0">
                    <form method="POST" action="adcmember<?echo $fext;?>">
                    <input type="hidden" name="lang" value="<?echo "$lang";?>">
                    <input type="hidden" name="userID" value="<?echo "$userID";?>">
                    <input type="hidden" name="user" value="<?echo "$user";?>">
                    <input type="hidden" name="passwd" value="<?echo "$passwd";?>">
                    <input type="hidden" name="action" value="<?echo "$action";?>">
<?
if ($last_action) {
?>
                      <tr>
                        <td width="100%" bgcolor="<?echo $c_table_dark;?>" colspan="2"><small><small><font color="<?echo $c_last_action;?>">
                        <strong>last action: <?echo "$last_action";?></strong>
                        </font></small></small></td>
                      </tr>
<?
}
?>
                      <tr>
                        <td width="28%" bgcolor="<?echo $c_table_dark;?>"><small><?echo $lang_person_name;?></small></td>
                        <td width="72%" bgcolor="<?echo $c_table_dark;?>"><input type="text" name="ps_name" size="41" maxlength="60" value="<?echo $usr_name;?>"></td>
                      </tr>
                      <tr>
                        <td width="28%" bgcolor="<?echo $c_table_dark;?>"><small><?echo $lang_person_passwd;?></small></td>
                        <td width="72%" bgcolor="<?echo $c_table_dark;?>"><input type="text" name="ps_passwd" size="41" maxlength="8" value="<?echo $usr_passwd;?>"></td>
                      </tr>
                      <tr>
                        <td width="28%" bgcolor="<?echo $c_table_dark;?>"><small><?echo $lang_person_address;?></small></td>
                        <td width="72%" bgcolor="<?echo $c_table_dark;?>"><input type="text" name="ps_address" size="41" maxlength="60" value="<?echo $usr_addr;?>"></td>
                      </tr>
                      <tr>
                        <td width="28%" bgcolor="<?echo $c_table_dark;?>"><small><?echo $lang_person_city;?></small></td>
                        <td width="72%" bgcolor="<?echo $c_table_dark;?>"><input type="text" name="ps_city" size="41" maxlength="30" value="<?echo $usr_city;?>"></td>
                      </tr>
                      <tr>
                        <td width="28%" bgcolor="<?echo $c_table_dark;?>"><small><?echo $lang_person_zip;?></small></td>
                        <td width="72%" bgcolor="<?echo $c_table_dark;?>"><input type="text" name="ps_zip" size="41" maxlength="6" value="<?echo $usr_zip;?>"></td>
                      </tr>
                      <tr>
                        <td width="28%" bgcolor="<?echo $c_table_dark;?>"><small><?echo $lang_person_country;?></small></td>
                        <td width="72%" bgcolor="<?echo $c_table_dark;?>"><select name="ps_country" size="1">
<?
$dbase->query("select * from country");
while ($row = $dbase->fetch()) {
  echo "                          <option ";
  if ($row[0] == $cntr_id) echo "selected ";
  echo "value=\"$row[0]\">$row[1]</option>\n";
}
$dbase->free();
?>
                        </select></td>
                      </tr>
                      <tr>
                        <td width="28%" bgcolor="<?echo $c_table_dark;?>"><small><?echo $lang_person_phone;?></small></td>
                        <td width="72%" bgcolor="<?echo $c_table_dark;?>"><input type="text" name="ps_phone" size="41" maxlength="30" value="<?echo $usr_phone;?>"></td>
                      </tr>
                      <tr>
                        <td width="28%" bgcolor="<?echo $c_table_dark;?>"><small><?echo $lang_person_email;?></small></td>
                        <td width="72%" bgcolor="<?echo $c_table_dark;?>"><input type="text" name="ps_email" size="41" maxlength="50" value="<?echo $usr_email;?>"></td>
                      </tr>
                      <tr>
                        <td width="28%" bgcolor="<?echo $c_table_dark;?>"><small><?echo $lang_person_show;?></small></td>
                        <td width="72%" bgcolor="<?echo $c_table_dark;?>"><input type="checkbox" name="ps_public" value="ON"<?if ($usr_pflag) echo " checked";?>></td>
                      </tr>
<?
if ($FLASH_flag) {
?>
                      <tr>
                        <td width="28%" bgcolor="<?echo $c_table_dark;?>"><small><?echo $lang_person_flash;?></small></td>
                        <td width="72%" bgcolor="<?echo $c_table_dark;?>"><input type="checkbox" name="ps_flash" value="ON"<?if ($usr_fflag) echo " checked";?>></td>
                      </tr>
<?
}
?>
                      <tr>
                        <td width="100%" colspan="2" align="right">
                        <p><input type="image" border="0" name="ps_proceed" src="<?echo "$imgsrc";?>proceed.gif" width="83" height="23"></p>
                        </td>
                        </form>
                      </tr>
                    </table>
                    </td>
                  </tr>
                </table>
                </td>
              </tr>
            </table>
