<?
class CSql {
  
  // public: connection parameters
  var $db_host = "";
  var $db_name = "";
  var $db_user = "";
  var $db_pass = "";

  // public: configuration parameters
  var $Auto_Free     = 0;	// Set to 1 for automatic mysql_free_result()
  var $Debug         = 0;	// Set to 1 for debugging messages.
  var $HaltError     = "yes";	// "yes"    (halt with message)
                                // "no"     (ignore errors quietly)
                                // "report" (ignore errror, but spit a warning)

  // public: result array and current row number
  var $Record;
  var $Row;

  // public: current error number and error text
  var $Errno    = 0;
  var $Error    = "";

  // private: link and query handles
  var $Link_ID  = 0;
  var $Query_ID = 0;


  // public: constructor
  function CSql() {
    //$query = ""
    //$this->query($query);
  }

  // public: some trivial reporting
  function link_id() {
    return $this->Link_ID;
  }

  function query_id() {
    return $this->Query_ID;
  }

  // public: connection management
  function connect($db_name = "", $db_host = "", $db_user = "", $db_pass = "") {
    // Handle defaults
    if ($db_name == "") $db_name = $this->db_name;
    if ($db_host == "") $db_host = $this->db_host;
    if ($db_user == "") $db_user = $this->db_user;
    if ($db_pass == "") $db_pass = $this->db_pass;
      
    // establish connection, select database
    if (!$this->Link_ID) {
      $this->Link_ID = mysql_pconnect($db_host, $db_user, $db_pass);

      if (!$this->Link_ID) {
        $this->halt("Connection failed.");
      }

      if (!@mysql_select_db($db_name, $this->Link_ID)) {
        $this->halt("Cannot use database ".$this->db_name);
      }
    }
    return $this->Link_ID;
  }

  // public: perform a query
  function query($Query_String) {
    $this->connect();

    if ($this->Query_ID) {
      @mysql_free_result($this->Query_ID);
      $this->Query_ID = 0;
    }

    if ($this->Debug)
      printf("Debug info: query=%s<br>\n", $Query_String);

    $this->Query_ID = @mysql_query($Query_String,$this->Link_ID);
    $this->Row   = 0;
    $this->Errno = mysql_errno();
    $this->Error = mysql_error();

    if (!$this->Query_ID) {
      $this->halt("Invalid SQL: ".$Query_String);
    }

    return $this->Query_ID;
  }

  // public: walk result set
  function fetch() {
    $this->Record = @mysql_fetch_row($this->Query_ID);
    $this->Row   += 1;
    $this->Errno  = mysql_errno();
    $this->Error  = mysql_error();

    if (!$stat && $this->Auto_Free) {
      @mysql_free_result($this->Query_ID);
      $this->Query_ID = 0;
    }
    return $this->Record;
  }

  // public: position in result set
  function seek($pos = 0) {
    $status = @mysql_data_seek($this->Query_ID, $pos);
    if ($status)
      $this->Row = $pos;
    else
      $this->halt("seek($pos) failed: result has ".$this->num_rows()." rows");
    return;
  }

  // public: table locking
  function lock($table, $mode="write") {
    $this->connect();

    $res = @mysql_query("lock tables $table $mode", $this->Link_ID);
    if (!$res)
      $this->halt("lock($table, $mode) failed.");
    return $res;
  }
  
  // public: table unlocking
  function unlock() {
    $this->connect();

    $res = @mysql_query("unlock tables");
    if (!$res)
      $this->halt("unlock() failed.");
    return $res;
  }

  function rid() {
    return @mysql_insert_id($this->Query_ID);
  }

  function affected_rows() {
    return @mysql_affected_rows($this->Link_ID);
  }

  function num_rows() {
    return @mysql_num_rows($this->Query_ID);
  }

  function num_fields() {
    return @mysql_num_fields($this->Query_ID);
  }

  function free() {
    @mysql_free_result($this->Query_ID);
    $this->Query_ID = 0;
    return;
  }

  // private: error handling
  function halt($msg) {
    $this->Error = @mysql_error($this->Link_ID);
    $this->Errno = @mysql_errno($this->Link_ID);
    if ($this->HaltError == "no")
      return;

    printf("</td></tr></table><b>Database error:</b> %s<br>\n", $msg);
    printf("<b>MySQL Error</b>: %s (%s)<br>\n", $this->Errno, $this->Error);

    if ($this->HaltError != "report")
      die("Session halted.");
  }
}
?>
