<?
/*----------------------------- start title -----------------------------------

ADC2000NG Pro - banner exchange software
Copyright (C) 1998-2010  T&D Systems, Inc.
http://www.td-systems.com/

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

* StartPage Exchange module
-------------------------------- end title ----------------------------------*/
user_check();

if (!$subaction) $subaction = "strx_global";
if (!$c_day) $c_day = date(d);
if (!$c_month) $c_month = date(m);
if (!$c_year) $c_year = date(Y);

// ----| Update module
$dbase->query("select count(usr_id) from strx_target where usr_id=$userID"); list($chk_var) = $dbase->fetch();
if ($chk_var <= 0) {
  $dbase->query("select count(*) from category");
  list($cnt_cat) = $dbase->fetch();
  $ct = "ct[]=1";
  for ($i=0; $i<$cnt_cat; $i++) {
    $ct = $ct."&ct[]=1";
  }
  $dbase->query("insert into strx_target values ($userID,'$ct')");
}
$dbase->query("select count(usr_id) from strx_stats where usr_id=$userID"); list($chk_var) = $dbase->fetch();
if ($chk_var <= 0) {
  $c_date = date(Y."-".m."-".d); $c_day = date("d")." ".date("M")." ".date("Y");
  $dbase->query("insert into strx_stats values ($userID,'$c_day',0,0)");
  $dbase->query("select strx_startbonus,strx_defratio from server_set_strx");
  list($strx_startbonus,$strx_defratio) = $dbase->fetch();
  $dbase->query("insert into strx_credits values ($userID,$strx_startbonus,'$strx_defratio','(N/A)')");
}
// ----| End

switch ($subaction) {
  case "strx_global":
    if ($strx_reset_x && $strx_reset_y) {
      $dbase->query("update strx_stats set strx_totalpv=0 where usr_id=$userID");
    }
    $dbase->query("select strx_jdate,strx_totalpv,strx_totalps,strx_credits,strx_ratio,strx_lastadd from strx_stats,strx_credits where strx_stats.usr_id=$userID and strx_credits.usr_id=$userID");
    list($strx_jdate,$strx_totalpv,$strx_totalps,$strx_credits,$strx_ratio,$strx_lastadd) = $dbase->fetch();
    break;

  case "strx_monthly":
    $w_counter = 12;
    break;

  case "strx_daily":
    $w_counter = lastday(date($c_month),date($c_year));
    $c_date = $c_year."-".$c_month;
    break;

  case "strx_hourly":
    $hour_c = 1;
    $w_counter = 24;
    $c_date = $c_year."-".$c_month."-".$c_day;
    $hour = array("12:00am","1:00am","2:00am","3:00am","4:00am","5:00am","6:00am","7:00am","8:00am","9:00am","10:00am","11:00am",
                  "12:00pm","1:00pm","2:00pm","3:00pm","4:00pm","5:00pm","6:00pm","7:00pm","8:00pm","9:00pm","10:00pm","11:00pm");
    break;

  case "strx_target":
    break;

  case "strx_gethtml":
    $dbase->query("select adc_dir,extitle from server_set");
    list($adc_dir,$extitle) = $dbase->fetch();
    break;
}

// ----------------------------------------------------------------------------
$NAV_AREA = $lang_strx_title;
$help_full = "startx.html";
$help_cntx = $startx;
page_navigator();
?>
                <table border="0" width="540">
                  <tr>
                    <td width="100%"><form method="POST" action="adcmember<?echo $fext;?>">
                      <input type="hidden" name="lang" value="<?echo "$lang";?>">
                      <input type="hidden" name="action" value="<?echo "$action";?>">
                      <input type="hidden" name="userID" value="<?echo "$userID";?>">
                      <input type="hidden" name="user" value="<?echo "$user";?>">
                      <input type="hidden" name="passwd" value="<?echo "$passwd";?>">
                      <table border="0" width="100%" cellspacing="0" cellpadding="0">
                        <tr>
                        <td width="50%"><font size="5"><?echo $lang_strx_nav;?></font></td>
                        <td width="50%"><div align="right"><table border="0" width="20%" cellspacing="0" cellpadding="0">
                        <tr>
                        <td width="50%"><input type="image" border="0" src="<?echo "$imgsrc";?>goto.gif" width="70" height="23"></td>
                        <td width="50%"><select name="subaction" size="1">
<?
$num = count($strx_menu);
$tmp_flg = 0;
for ($i=0; $i<$num; $i++) {
  $mn = select_parse($strx_menu[$i],"|");
  echo "                          <option";
  if (!$tmp_flg || $subaction==$mn[1]) { echo " selected"; $tmp_flg = 1; }
  echo " value=\"$mn[1]\">$mn[0]</option>\n";
}
?>
                        </td>
                        </tr>
                        </table>
                        </div></td>
                        </tr>
                      </table>
                    </form>
                    </td>
                  </tr>
                </table>
<?

if ($subaction == "strx_global") {
?>
                    <big><big>GLOBAL STATS</big></big>
                    <table border="0" width="100%" cellspacing="0" cellpadding="0" bgcolor="<?echo $c_table_light;?>">
                      <tr>
                        <td width="100%"><table border="0" width="100%" cellpadding="0">
                        <tr>
                        <td width="41%"><small><strong>Joining date</strong></small></td>
                        <td width="59%" align="right"><small><?echo $strx_jdate;?></small></td>
                        </tr>
                        <tr>
                        <td width="41%" bgcolor="<?echo $c_table_dark;?>"><small><strong>Total visitors to your sites via startpage</strong></small></td>
                        <td width="59%" bgcolor="<?echo $c_table_dark;?>" align="right"><small><?echo $strx_totalpv;?></small></td>
                        </tr>
                        <tr>
                        <td width="100%" colspan="2" align="right"><form method="POST" action="adcmember<?echo $fext;?>">
                        <input type="hidden" name="lang" value="<?echo "$lang";?>">
                        <input type="hidden" name="action" value="<?echo "$action";?>">
                        <input type="hidden" name="subaction" value="strx_global">
                        <input type="hidden" name="userID" value="<?echo "$userID";?>">
                        <input type="hidden" name="user" value="<?echo "$user";?>">
                        <input type="hidden" name="passwd" value="<?echo "$passwd";?>">
                        <p><input type="image" name=strx_reset border="0" src="<?echo "$imgsrc";?>reset.gif" width="105" height="23"></p>
                        </td>
                        </form>
                        </tr>
                        </table>
                        </td>
                      </tr>
                    </table>
                    <br>
                    <big><big>CREDITS INFO</big></big>
                    <table border="0" width="100%" cellspacing="0" cellpadding="0" bgcolor="<?echo $c_table_light;?>">
                      <tr>
                        <td width="100%"><table border="0" width="100%" cellpadding="0">
                        <tr>
                        <td width="41%"><small><strong>Unused credits</strong></small></td>
                        <td width="59%" align="right"><small><?echo $strx_credits;?></small></td>
                        </tr>
                        <tr>
                        <td width="41%" bgcolor="<?echo $c_table_dark;?>"><small><strong>Last added credits</strong></small></td>
                        <td width="59%" bgcolor="<?echo $c_table_dark;?>" align="right"><small><?echo $strx_lastadd;?></small></td>
                        </tr>
                        <tr>
                        <td width="41%"><small><strong>Exchange ratio</strong></small></td>
                        <td width="59%" align="right"><small><?echo $strx_ratio;?></small></td>
                        </tr>
                        </table>
                        </td>
                      </tr>
                    </table>
                    <br>
                    <big><big>AFFILIATE INFO</big></big>
                    <table border="0" width="100%" cellspacing="0" cellpadding="0" bgcolor="<?echo $c_table_light;?>">
                      <tr>
                        <td width="100%"><table border="0" width="100%" cellpadding="0">
                        <tr>
                        <td width="41%"><small><strong>Total startpages viewed</strong></small></td>
                        <td width="59%" align="right"><small><?echo $strx_totalps;?></small></td>
                        </tr>
                        </table>
                        </td>
                      </tr>
                    </table>
<?
}

if ($subaction == "strx_monthly") {
?>
                    <table border="0" width="100%" cellspacing="0" cellpadding="0">
                      <tr>
                        <td width="100%"><form method="POST" action="adcmember<?echo $fext;?>">
                        <input type="hidden" name="lang" value="<?echo "$lang";?>">
                        <input type="hidden" name="action" value="<?echo "$action";?>">
                        <input type="hidden" name="subaction" value="strx_monthly">
                        <input type="hidden" name="userID" value="<?echo "$userID";?>">
                        <input type="hidden" name="user" value="<?echo "$user";?>">
                        <input type="hidden" name="passwd" value="<?echo "$passwd";?>">
                        <div align="left"><table border="0" width="100%" cellspacing="0" cellpadding="0">
                        <tr>
                        <td width="10%"><input type="image" border="0" src="<?echo "$imgsrc";?>getstats.gif" width="96" height="23"></td>
                        <td width="*"><input type="text" name="c_year" size="4" value="<?echo "$c_year";?>" maxlength="4"><strong>
                        <font face="Times New Roman"> <?echo $lang_mstats_year;?></font></strong></td>
                        </tr>
                        </table>
                        </div>
                        </form>
                        </td>
                      </tr>
                    </table>

                    <table border="0" width="100%" cellspacing="0" cellpadding="0">
                      <tr>
                        <td width="100%" bgcolor="<?echo $c_table_light;?>"><table border="0" width="100%">
                        <tr>
                          <td width="33%"><strong><small><?echo $lang_mstats_month;?></small></strong></td>
                          <td width="33%" align="right"><strong><small><?echo $lang_popup_mstats;?></small></strong></td>
                        </tr>
<?
  $dbase->query("select * from strx_m_istats where usr_id=$userID and i_lu_year='$c_year'");
  $row_impress = $dbase->fetch();
  $dbase->free();
  $st_pointer = 1;
  for ($i=0; $i<12; $i++) {
?>
                        <tr>
                          <td width="33%" bgcolor="<?echo $c_table_dark;?>"><strong><small><?echo "$all_months[$i]";?></small></strong></td>
                          <td width="33%" align="right" bgcolor="<?echo $c_table_dark;?>"><strong><small><?if (!$row_impress[$st_pointer]) echo "0"; else echo $row_impress[$st_pointer];?></small></strong></td>
                        </tr>
<?
    $st_pointer += 1;
  }
?>
                        <tr>
                          <td width="100%" colspan="3" background="images/globalbk.gif">
                          <font size="2" color="<?echo $c_table_note;?>" face="Arial"><?echo "$lang_mstats_msfor $user (year $c_year)";?></font></td>
                        </tr>
                        </table>
                        </td>
                      </tr>
                    </table>
<?
}

if ($subaction == "strx_daily") {
?>
                    <table border="0" width="100%" cellspacing="0" cellpadding="0">
                      <tr>
                        <td width="100%"><form method="POST" action="adcmember<?echo $fext;?>">
                        <input type="hidden" name="lang" value="<?echo "$lang";?>">
                        <input type="hidden" name="action" value="<?echo "$action";?>">
                        <input type="hidden" name="subaction" value="strx_daily">
                        <input type="hidden" name="userID" value="<?echo "$userID";?>">
                        <input type="hidden" name="user" value="<?echo "$user";?>">
                        <input type="hidden" name="passwd" value="<?echo "$passwd";?>">
                        <div align="left"><table border="0" width="530" cellspacing="0" cellpadding="0">
                        <tr>
                        <td width="10%"><input type="image" border="0" src="<?echo "$imgsrc";?>getstats.gif" width="96" height="23"></td>
                        <td width="10%"><select name="c_month" size="1">
                        <option <?if ($c_month == "01") echo "selected ";?>value="01">January</option>
                        <option <?if ($c_month == "02") echo "selected ";?>value="02">February</option>
                        <option <?if ($c_month == "03") echo "selected ";?>value="03">March</option>
                        <option <?if ($c_month == "04") echo "selected ";?>value="04">April</option>
                        <option <?if ($c_month == "05") echo "selected ";?>value="05">May</option>
                        <option <?if ($c_month == "06") echo "selected ";?>value="06">June</option>
                        <option <?if ($c_month == "07") echo "selected ";?>value="07">July</option>
                        <option <?if ($c_month == "08") echo "selected ";?>value="08">August</option>
                        <option <?if ($c_month == "09") echo "selected ";?>value="09">September</option>
                        <option <?if ($c_month == "10") echo "selected ";?>value="10">October</option>
                        <option <?if ($c_month == "11") echo "selected ";?>value="11">November</option>
                        <option <?if ($c_month == "12") echo "selected ";?>value="12">December</option>
                        </select></td>
                        <td width="*"><input type="text" name="c_year" size="4" value="<?echo "$c_year";?>" maxlength="4"><strong>
                        <font face="Times New Roman"> <?echo $lang_dstats_year;?></font></strong></td>
                        </tr>
                        </table>
                        </div>
                        </form>
                        </td>
                      </tr>
                    </table>

                    <table border="0" width="100%" cellspacing="0" cellpadding="0">
                      <tr>
                        <td width="100%" bgcolor="<?echo $c_table_light;?>"><table border="0" width="100%">
                        <tr>
                          <td width="33%"><strong><small><?echo $lang_dstats_date;?></small></strong></td>
                          <td width="33%" align="right"><strong><small><?echo $lang_popup_mstats;?></small></strong></td>
                        </tr>
<?
  $dbase->query("select * from strx_d_istats where usr_id=$userID and d_date='$c_date'");
  $row_impress = $dbase->fetch();
  $dbase->free();
  $st_pointer = 1;
  while ($w_counter) {
?>
                        <tr>
                          <td width="33%" bgcolor="<?echo $c_table_dark;?>"><strong><small><?echo $st_pointer;?></small></strong></td>
                          <td width="33%" align="right" bgcolor="<?echo $c_table_dark;?>"><strong><small><?if (!$row_impress[$st_pointer]) echo "0"; else echo $row_impress[$st_pointer];?></small></strong></td>
                        </tr>
<?
    $st_pointer += 1;
    $w_counter -= 1;
  }
?>
                        <tr>
                          <td width="100%" colspan="3" background="images/globalbk.gif">
                          <font size="2" color="<?echo $c_table_note;?>" face="Arial"><?echo "$lang_dstats_dsfor $user (".$c_date;?>)</font></td>
                        </tr>
                        </table>
                        </td>
                      </tr>
                    </table>
<?
}

if ($subaction == "strx_hourly") {
?>
                    <table border="0" width="100%" cellspacing="0" cellpadding="0">
                      <tr>
                        <td width="100%"><form method="POST" action="adcmember<?echo $fext;?>">
                        <input type="hidden" name="lang" value="<?echo "$lang";?>">
                        <input type="hidden" name="action" value="<?echo "$action";?>">
                        <input type="hidden" name="subaction" value="strx_hourly">
                        <input type="hidden" name="userID" value="<?echo "$userID";?>">
                        <input type="hidden" name="user" value="<?echo "$user";?>">
                        <input type="hidden" name="passwd" value="<?echo "$passwd";?>">
                        <div align="left"><table border="0" width="530" cellspacing="0" cellpadding="0">
                        <tr>
                        <td width="10%"><input type="image" border="0" src="<?echo "$imgsrc";?>getstats.gif" width="96" height="23"></td>
                        <td width="10%"><input type="text" name="c_day" size="3" value="<?echo $c_day;?>" maxlength="2"></td>
                        <td width="10%"><select name="c_month" size="1">
<?
  $mn_cnt = 1;
  for ($i=0; $i<=11; $i++) {
?>
                        <option <?if ($mn_cnt == $c_month) echo "selected ";?>value="<?echo $mn_cnt;?>"><?echo $all_months[$i];?></option>
<?
    $mn_cnt += 1;
  }
?>
                        </select></td>
                        <td width="*"><input type="text" name="c_year" size="4" value="<?echo "$c_year";?>" maxlength="4"><strong>
                        <font face="Times New Roman"> <?echo $lang_hstats_year;?></font></strong></td>
                        </tr>
                        </table>
                        </div>
                        </form>
                        </td>
                      </tr>
                    </table>

                    <table border="0" width="100%" cellspacing="0" cellpadding="0">
                      <tr>
                        <td width="100%" bgcolor="<?echo $c_table_light;?>"><table border="0" width="100%">
                        <tr>
                        <td width="33%"><strong><small><?echo $lang_hstats_time;?></small></strong></td>
                        <td width="33%" align="right"><strong><small><?echo $lang_popup_mstats;?></small></strong></td>
                        </tr>
<?
  $dbase->query("select * from strx_h_istats where usr_id=$userID and h_date='$c_date'");
  $row_impress = $dbase->fetch();
  $dbase->free();
  $st_pointer = 1;
  while ($w_counter) {
    $h_tempo = $hour_c - 1;
?>
                        <tr>
                        <td width="33%" bgcolor="<?echo $c_table_dark;?>"><strong><small><?echo $hour[$h_tempo];?></small></strong></td>
                        <td width="33%" align="right" bgcolor="<?echo $c_table_dark;?>"><strong><small><?if (!$row_impress[$st_pointer]) echo "0"; else echo $row_impress[$st_pointer];?></small></strong></td>
                        </tr>
<?
    $st_pointer += 1;
    $w_counter -= 1;
    $hour_c += 1;
  }
?>
                        <tr>
                        <td width="100%" colspan="3" background="images/globalbk.gif">
                        <font size="2" color="<?echo $c_table_note;?>" face="Arial"><?echo "$lang_hstats_hsfor $user (".$c_date;?>)</font></td>
                        </tr>
                        </table>
                        </td>
                      </tr>
                    </table>
<?
}

if ($subaction == "strx_target") {
?>
                    <big><big><?echo $lang_strx_target;?></big></big>
                    <table border="0" width="100%" cellspacing="0" cellpadding="0">
                      <tr>
                        <td width="100%"><form method="POST" action="adcmember<?echo $fext;?>">
                        <input type="hidden" name="lang" value="<?echo "$lang";?>">
                        <input type="hidden" name="userID" value="<?echo "$userID";?>">
                        <input type="hidden" name="user" value="<?echo "$user";?>">
                        <input type="hidden" name="passwd" value="<?echo "$passwd";?>">
                        <input type="hidden" name="action" value="<?echo "$action";?>">
                        <input type="hidden" name="subaction" value="<?echo "$subaction";?>">
                        <input type="hidden" name="c_group" value="<?echo "$c_group";?>">
                        <input type="hidden" name="c_name" value="<?echo "$c_name";?>">
                        <table border="1" width="100%" bordercolor="<?echo $c_table_dark;?>" cellspacing="0" cellpadding="0">
                        <tr>
                        <td width="100%" background="images/globalbk.gif">
                        <table border="0" width="100%" cellspacing="0" cellpadding="0">
                        <tr>
                        <td width="82%"><font color="<?echo $c_pagenav_AREA;?>" face="Verdana,Arial,Helvetica" size="3"><?echo $lang_target_tarsit;?></font></td>
<?
  if ($advct_proceed_x && $advct_proceed_y) {
    $str = "ct[]=";
    $y = 0;
    for ($i=0; $i<=$cat_num-1; $i++) {
      if ($i == $target[$y]-1) {
        $str = $str."1";
        $y = $y + 1;
      }
      else
        $str = $str."0";
      if ($i != $cat_num-1) $str = $str."&ct[]=";
    }
    $dbase->query("select lock_flag from server_set");
    list($lock_flag) = $dbase->fetch();
    if ($lock_flag) $dbase->lock(ban_group);
    $dbase->query("update strx_target set grp_tcategory='$str' where usr_id=$userID");
    if ($lock_flag) $dbase->unlock();
  }

?>
                        <td width="18%" align="right"><font color="<?echo $c_pagenav_AREA;?>"></font></td>
                        </tr>
                        </table>
                        </td>
                        </tr>
                        <tr>
                        <td width="100%"><table border="0" width="100%" cellpadding="0" cellspacing="0">
<?
  $dbase->query("select grp_tcategory from strx_target where usr_id=$userID");
  list($t_sites) = $dbase->fetch();
  parse_str($t_sites);
  $dbase->query("select * from category");
  $row_cat = $dbase->fetch();
  $num = $dbase->num_rows();
  $ctg = select_parse($row_cat[1], ":");
  $first = $ctg[0];
?>
                        <tr>
                          <td  bgcolor="<?echo $c_table_light;?>" colSpan="2"><font size="2"><b><?echo $first;?></b></font></td>
                        </tr>
<?
  for ($i=0; $i<=$num-1; $i++) {
    $dbase->seek($i);
    $row_cat = $dbase->fetch();
    $ctg = select_parse($row_cat[1], ":");
    if ($first != $ctg[0]) {
      //    ,   
      $first = $ctg[0];
?>
                        <tr>
                          <td bgcolor="<?echo $c_table_light;?>" colSpan="2"><font size="2"><b><?echo $ctg[0];?></b></font></td>
                        </tr>
<?
    }
    //    ,  
?>
                        <tr>
                          <td width="10%"><input name="target[]" type="checkbox"<?if ($ct[$i] == 1) echo " CHECKED";?> value="<?echo $row_cat[0];?>"></td>
                          <td width="40%"><font size="2"><?echo $ctg[1];?></font></td>
<?
    if ($i != $num-1) {
      $dbase->seek($i+1);
      $row_cat = $dbase->fetch();
      $ctg = select_parse($row_cat[1], ":");
      if ($first == $ctg[0]) {
?>
                          <td width="10%"><input name="target[]" type="checkbox"<?if ($ct[$i+1] == 1) echo " CHECKED";?> value="<?echo $row_cat[0];?>"></td>
                          <td width="40%"><font size="2"><?echo $ctg[1];?></font></td>
<?
        $i = $i + 1;
      }
    }
    echo "                        </tr>\n";
  }
  $dbase->free();
?>
                        </table>
                        </td>
                        </tr>
                        <tr>
                        <td width="100%" align="right">
                        <input type="hidden" name="cat_num" value="<?echo $num;?>">
                        <input type="image" border="0" name="advct_reset" src="<?echo "$imgsrc";?>reset_form.gif" width="67" height="23">
                        <input type="image" border="0" name="advct_proceed" src="<?echo "$imgsrc";?>proceed.gif" width="83" height="23"></td>
                        </tr>
                        </table>
                        </form>
                        </td>
                      </tr>
                    </table>
<?
}

if ($subaction == "strx_gethtml") {
?>
                    <table border="0" width="100%" height="48" cellspacing="0" cellpadding="0">
                      <tr>
                        <td width="100%" height="18"><font size="5"><?echo $lang_strx_htmlcode;?></font></td>
                      </tr>
                      <tr>
                        <td width="100%" height="12" bgcolor="<?echo $c_table_dark;?>"><small><?echo $lang_strx_htmlinfo;?>:</small></td>
                      </tr>
                      <tr>
                        <td width="100%" height="9"><input type="text" name="htmlcode" value="<?echo $adc_dir."eng_adcstrx".$fext."?uid=".$userID;?>" size="86"></td>
                      </tr>
                    </table>
<?
}
?>
                   </td>
                  </tr>
                </table>
                </td>
              </tr>
            </table>
