<?
/*----------------------------- start title -----------------------------------

ADC2000NG Pro - banner exchange software
Copyright (C) 1998-2010  T&D Systems, Inc.
http://www.td-systems.com/

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

* Global public stats module
-------------------------------- end title ----------------------------------*/
include("adc2000ng.inc");
include("adc2000h.inc");

$c_day = date(Y."-".m."-".d);
$c_date = date(M." ".d." ".Y);
$y_date = date(M." ".d." ".Y,mktime(0,0,0,date("m"),date("d")-1,date("Y")));

$cd_date = date(d);
$ctd_date = date(m);
$ctm_date = date(Y."-".m);

$yd_date = date(d,mktime(0,0,0,date("m"),date("d")-1,date("Y")));
$ytd_date = date(m,mktime(0,0,0,date("m"),date("d")-1,date("Y")));
$ytm_date = date(Y."-".m,mktime(0,0,0,date("m"),date("d")-1,date("Y")));

$dbase = new ADC_sql; $dbase->connect();

$dbase->query("select count(usr_id) from user");
list($total_users) = $dbase->fetch();

$dbase->query("select count(usr_id) from credit_stats where j_date='$c_date'");
list($new_users_td) = $dbase->fetch();

$dbase->query("select count(usr_id) from credit_stats where j_date='$y_date'");
list($new_users_yd) = $dbase->fetch();

$dbase->query("select t_impress,t_clicks,td_impress,td_clicks,ty_impress,ty_clicks,tc_day from total_stats");
list($t_impress,$t_clicks,$td_impress,$td_clicks,$ty_impress,$ty_clicks,$tc_day) = $dbase->fetch();

if ($c_day != $tc_day) {
  if ($tc_day != date(Y."-".m."-".d,mktime(0,0,0,date("m"),date("d")-1,date("Y")))) {$ty_impress = 0; $ty_clicks = 0;}
  else {$ty_impress = $td_impress; $ty_clicks = $td_clicks;}
  $td_impress = 0; $td_clicks  = 0;
}

$dbase->query("update total_stats set td_impress=$td_impress,tc_day='$c_day',ty_impress=$ty_impress,td_clicks=$td_clicks,ty_clicks=$ty_clicks");

if (!$t_impress) $t_impress = 0;
if (!$t_clicks)  $t_clicks  = 0;

if (!$td_impress) $td_impress = 0;
if (!$td_clicks)  $td_clicks  = 0;

if (!$ty_impress) $ty_impress = 0;
if (!$ty_clicks)  $ty_clicks  = 0;

$page_from = "adcstats";
page_header();
?>
            <table border="0" width="100%" cellspacing="0" cellpadding="0">
              <tr>
                <td width="100%" background="images/globalbk.gif" align="center"><font color="<?echo $c_index_bntitle;?>"
                size="5" face="Verdana,Arial,Helvetica"><b><?echo $lang_bntitle;?></b></font></td>
              </tr>
              <tr>
                <td width="100%" align="center" valign="top"><table border="0" width="540">
                  <tr>
                    <td width="100%"><table border="0" width="100%" cellpadding="3">
                      <tr>
                        <td width="50%" valign="top">
                        <table border="0" width="100%" cellspacing="0" cellpadding="0">
                        <tr>
                          <td width="33%" valign="middle" align="center"><a href="adcjoin<?echo $fext;?>?lang=<?echo $lang;?>"><img src="<?echo "$imgsrc";?>joinus.gif" width="70" height="23" border="0"></a></td>
                          <td width="33%" valign="middle" align="center"><a href="adcstats<?echo $fext;?>?lang=<?echo $lang;?>"><img src="<?echo "$imgsrc";?>stats.gif" width="78" height="23" border="0"></a></td>
                          <td width="34%" valign="middle" align="center"><a href="adctop10<?echo $fext;?>?lang=<?echo $lang;?>"><img src="<?echo "$imgsrc";?>topten.gif" width="70" height="23" border="0"></a></td>
                        </tr>
                        </table>
                        </td>
                        <td width="50%" valign="top"><form method="POST" action="adcmember<?echo $fext;?>">
                        <input type="hidden" name="lang" value="<?echo $lang?>">
                        <input type="hidden" name="page_from" value="<?echo $page_from;?>">
                        <input type="hidden" name="action" value="genstats">
                        <table border="0" width="100%" cellspacing="0" cellpadding="5">
                        <tr>
                        <td width="100%" bgcolor="<?echo $c_table_dark;?>"><font size="1">
<?
if ($wrong_access) {
  $wrong_access = $$wrong_access;
  echo "                        <font size=1><b>$wrong_access<br></b></font>\n";
}
?>
                        Login <input type="text" name="user" size="8"
                        maxlength="8" style="border: thin solid"> Password <input type="password" name="passwd" size="8"
                        maxlength="8" style="border: thin solid"></font></td>
                        </tr>
                        <tr>
                          <td width="100%" align="right" bgcolor="<?echo $c_table_light;?>"><input type="image" border="0" src="<?echo "$imgsrc";?>login.gif"></td>
                        </tr>
                        </table>
                        </form>
                        </td>
                      </tr>
                      <tr>
                        <td width="100%" colspan="2"><hr size="1" color="<?echo $c_index_hrcolor;?>">
                        </td>
                      </tr>
                      <tr>
                        <td width="100%" colspan="2">
                        <p align="center"><font size="4" face="arial"><b><?echo $lang_nets_total;?></b></font></p>
                        <table border="0" width="100%" cellpadding="0">
                        <tr>
                          <td width="75%" bgcolor="<?echo $c_table_dark;?>"><font size="2"><strong><?echo $lang_nets_members;?></strong></font></td>
                          <td width="25%" bgcolor="<?echo $c_table_dark;?>" align="right"><font size="2"><?echo $total_users;?></font></td>
                        </tr>
                        <tr>
                          <td width="75%" bgcolor="<?echo $c_table_light;?>"><font size="2"><strong><?echo $lang_nets_impress;?></strong></font></td>
                          <td width="25%" bgcolor="<?echo $c_table_light;?>" align="right"><font size="2"><?echo $t_impress;?></font></td>
                        </tr>
                        <tr>
                          <td width="75%" bgcolor="<?echo $c_table_dark;?>"><font size="2"><strong><?echo $lang_nets_clicks;?></strong></font></td>
                          <td width="25%" bgcolor="<?echo $c_table_dark;?>" align="right"><font size="2"><?echo $t_clicks;?></font></td>
                        </tr>
                        <tr>
                          <td width="75%" bgcolor="<?echo $c_table_light;?>"><font size="2"><strong><?echo $lang_nets_crt;?></strong></font></td>
                          <td width="25%" bgcolor="<?echo $c_table_light;?>" align="right"><font size="2"><?if ($t_impress) echo number_format(($t_clicks/$t_impress)*100,2); else echo "0";?>%</font></td>
                        </tr>
                        </table>
                        <p align="center"><font size="4" face="arial"><b><?echo $lang_nets_today;?></b></font></p>
                        <table border="0" width="100%" cellpadding="0">
                        <tr>
                          <td width="75%" bgcolor="<?echo $c_table_dark;?>"><font size="2"><strong><?echo $lang_nets_members;?></strong></font></td>
                          <td width="25%" bgcolor="<?echo $c_table_dark;?>" align="right"><font size="2"><?echo $new_users_td;?></font></td>
                        </tr>
                        <tr>
                          <td width="75%" bgcolor="<?echo $c_table_light;?>"><font size="2"><strong><?echo $lang_nets_impress;?></strong></font></td>
                          <td width="25%" bgcolor="<?echo $c_table_light;?>" align="right"><font size="2"><?echo $td_impress;?></font></td>
                        </tr>
                        <tr>
                          <td width="75%" bgcolor="<?echo $c_table_dark;?>"><font size="2"><strong><?echo $lang_nets_clicks;?></strong></font></td>
                          <td width="25%" bgcolor="<?echo $c_table_dark;?>" align="right"><font size="2"><?echo $td_clicks;?></font></td>
                        </tr>
                        <tr>
                          <td width="75%" bgcolor="<?echo $c_table_light;?>"><font size="2"><strong><?echo $lang_nets_crt;?></strong></font></td>
                          <td width="25%" bgcolor="<?echo $c_table_light;?>" align="right"><font size="2"><?if ($td_impress) echo number_format(($td_clicks/$td_impress)*100,2); else echo "0";?>%</font></td>
                        </tr>
                        </table>
                        <p align="center"><font size="4" face="arial"><b><?echo $lang_nets_yesterday;?></b></font></p>
                        <table border="0" width="100%" cellpadding="0">
                        <tr>
                          <td width="75%" bgcolor="<?echo $c_table_dark;?>"><font size="2"><strong><?echo $lang_nets_members;?></strong></font></td>
                          <td width="25%" bgcolor="<?echo $c_table_dark;?>" align="right"><font size="2"><?echo $new_users_yd;?></font></td>
                        </tr>
                        <tr>
                          <td width="75%" bgcolor="<?echo $c_table_light;?>"><font size="2"><strong><?echo $lang_nets_impress;?></strong></font></td>
                          <td width="25%" bgcolor="<?echo $c_table_light;?>" align="right"><font size="2"><?echo $ty_impress;?></font></td>
                        </tr>
                        <tr>
                          <td width="75%" bgcolor="<?echo $c_table_dark;?>"><font size="2"><strong><?echo $lang_nets_clicks;?></strong></font></td>
                          <td width="25%" bgcolor="<?echo $c_table_dark;?>" align="right"><font size="2"><?echo $ty_clicks;?></font></td>
                        </tr>
                        <tr>
                          <td width="75%" bgcolor="<?echo $c_table_light;?>"><font size="2"><strong><?echo $lang_nets_crt;?></strong></font></td>
                          <td width="25%" bgcolor="<?echo $c_table_light;?>" align="right"><font size="2"><?if ($ty_impress) echo number_format(($ty_clicks/$ty_impress)*100,2); else echo "0";?>%</font></td>
                        </tr>
                        </table>
                      </tr>
                    </table>
                    </td>
                  </tr>
                </table>
                </td>
              </tr>
            </table>
<?
$dbase->free();
page_footer();
?>
