<?
/*----------------------------- start title -----------------------------------

ADC2000NG Pro - banner exchange software
Copyright (C) 1998-2010  T&D Systems, Inc.
http://www.td-systems.com/

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

* PopUp-Impression module
------------------------------- end title -----------------------------------*/
include("adc2000ng.inc");
Header("Cache-Control: no-cache, must-revalidate");

if ($uid == "") exit();

// ----| Checking PopUp delay
$pop_delay = $HTTP_COOKIE_VARS["adc2kpopup"];
if ($pop_delay) exit();

// ----| Connect to database
$dbase  = new ADC_sql;  $dbase->connect();
$dbase1 = new ADC_sql;  $dbase1->connect();

// ----| Get server's settings
$dbase->query("select lock_flag,adc_dir,extitle from server_set");
list($lock_flg,$target_url,$extitle) = $dbase->fetch();
$dbase->query("select pop_width,pop_height from server_set_popup");
list($popwidth,$popheight) = $dbase->fetch();

// ----| Count users
$dbase->query("select usr_id,ban_id from banner where ban_upload!='not uploaded' and ban_acpflag=1 and usr_id!=$uid");

if (!($BANCOUNT = $dbase->num_rows())) {
  exit();
}
else {
  $while_counter = $BANCOUNT;
  srand(make_seed());

  while($while_counter) {
    // ----| Random range
    if ($BANCOUNT == 1) $randval = 0;
    else $randval = rand(0, $BANCOUNT-1);
    $dbase->seek($randval);
    // ----| Get main information about ban-user
    list($usr_id,$ban_id) = $dbase->fetch();

    $dbase1->query("select pop_credits from popup_credits where usr_id=$usr_id");
    list($pop_credits) = $dbase1->fetch();
    $dbase1->free();

    if ($pop_credits < 1) {
      $while_counter -= 1;
      continue;
    }
    else
      break;
  }

  echo "
   function MakeBottomWindow() {
     document.cookie='adc2000c=1;';
     var url = '".$target_url."eng_adcrpop".$fext."?uid=$uid&tid=$ban_id';
     var width = '$popwidth';
     var height = '$popheight';
     var p = 'scrollbars=yes,resizable=yes,toolbar=yes,menubar=yes,status=yes,location=yes,left=85,top=20,height='+height+',width='+width;
     var start;
    
     if (document.cookie.indexOf('adc2000c=')>=0) {
       var botwin = window.open(url,'POPUP',p);
       self.focus();
     }
   }
   MakeBottomWindow();\n";
}

$dbase->free();
exit();
?>
