<?
/*----------------------------- start title -----------------------------------

ADC2000NG Pro - banner exchange software
Copyright (C) 1998-2010  T&D Systems, Inc.
http://www.td-systems.com/

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

* TX2000 Redirection module
------------------------------- end title -----------------------------------*/
include("adc2000ng.inc");
Header("Cache-Control: no-cache, must-revalidate");

$coo_string = select_parse($HTTP_COOKIE,"; ");
for ($i=0; $i<=2; $i++) {
  $coo = select_parse($coo_string[$i],"=");
  switch ($coo[0]) {
   case "t_uid":
      $siteowner_uid = $coo[1];
      break;
    case "b_uid":
      $bannerowner_uid = $coo[1];
      break;
    case "url":
      $url = urldecode($coo[1]);
      break;
  }
}

if (!$siteowner_uid && !$bannerowner_uid) {
  if ($url != "") {
    // ----| go to owner's site
    Header("Location: $url");
  }
}

// Connect to database
$dbase = new ADC_sql;  $dbase->connect();

//  Check user :   
$dbase->query("select usr_aflag,tx_clicks,tx_impress from user,tx_credits where user.usr_id=$bannerowner_uid and tx_credits.usr_id=$bannerowner_uid");
list($ac_flag,$cred_click,$cred_impression) = $dbase->fetch();
if ($ac_flag != 0) {
  if ($cred_click <= 0) {
    // ----| User haven't Click Credits
    if ($cred_impression > 0) {
      // ----| Decrement Impression Credit
      $cred_impression = $cred_impression - 1;
      $dbase->query("update tx_credits set tx_impress=$cred_impression where usr_id=$bannerowner_uid");
    }
  }
  else {
    $cred_click = $cred_click - 1;
    $dbase->query("update tx_credits set tx_clicks=$cred_click where usr_id=$bannerowner_uid");
  }
  // ----| Add history information to Daily, Hourly and Credit Stats tables

  // ----| Total Stats table
  $dbase->query("update banner_tx_total set tx_clicks=tx_clicks+1 where usr_id=$bannerowner_uid");

  // ----| Daily table
  $c_month = date("m");
  $c_date = date("d");
  $dbase->query("select txds_string,txlu_month from tx_d_stats where usr_id=$bannerowner_uid");
  list($ds_string,$lu_month) = $dbase->fetch();
  parse_str($ds_string);
  if ($c_month != $lu_month) {
    // ----|   daily     
    for ($i=0; $i<=30; $i++) {
      if ($i == ($c_date-1))
        $d_str = $d_str."dc[]=1";
      else
        $d_str = $d_str."dc[]=0";
      // ----|   impressions 
      $d_str = $d_str."&di[]=0";
      if ($i != 30) $d_str = $d_str."&";
    }
    $dbase->query("update tx_d_stats set txds_string='$d_str',txlu_month=$c_month where usr_id=$bannerowner_uid");
  }
  else {
    // ----| 
    for ($i=0; $i<=30; $i++) {
      if ($i == ($c_date-1)) {
        $dc[$i] = $dc[$i] + 1;
        $d_str = $d_str."dc[]=".$dc[$i];
      }
      else
        $d_str = $d_str."dc[]=".$dc[$i];
      // ----|   impressions  
      $d_str = $d_str."&di[]=".$di[$i];
      if ($i != 30) $d_str = $d_str."&";
    }
    $dbase->query("update tx_d_stats set txds_string='$d_str' where usr_id=$bannerowner_uid");
  }

  // ----| Hourly table
  $c_hour = date("H");
  $dbase->query("select txhs_string,txlu_day from tx_h_stats where usr_id=$bannerowner_uid");
  list($hs_string,$lu_day) = $dbase->fetch();
  parse_str($hs_string);
  if ($c_date != $lu_day) {
    // ----|   hourly     
    for ($i=0; $i<=23; $i++) {
      if ($i == $c_hour)
        $h_str = $h_str."hc[]=1";
      else
        $h_str = $h_str."hc[]=0";
      // ----|   impressions 
      $h_str = $h_str."&hi[]=0";
      if ($i != 23) $h_str = $h_str."&";
    }
    $dbase->query("update tx_h_stats set txhs_string='$h_str',txlu_day=$c_date where usr_id=$bannerowner_uid");
  }
  else {
    // ----| 
    for ($i=0; $i<=23; $i++) {
      if ($i == $c_hour) {
        $hc[$i] = $hc[$i] + 1;
        $h_str = $h_str."hc[]=".$hc[$i];
      }
      else
        $h_str = $h_str."hc[]=".$hc[$i];
      // ----|   impressions  
      $h_str = $h_str."&hi[]=".$hi[$i];
      if ($i != 23) $h_str = $h_str."&";
    }
    $dbase->query("update tx_h_stats set txhs_string='$h_str' where usr_id=$bannerowner_uid");
  }
}

//  impression  ( -)
$dbase->query("select usr_aflag,tx_impress,tx_defclickratio from user,tx_credits where user.usr_id=$siteowner_uid and tx_credits.usr_id=$siteowner_uid");
list($ai_flag,$impression,$click_ratio) = $dbase->fetch();
if ($ai_flag != 0) {
  $impression = $impression + $click_ratio;
  $dbase->query("update tx_credits set tx_impress=$impression where usr_id=$siteowner_uid");
}

$dbase->free();
Header("Location: $url");
exit();
?>
