<?
/*----------------------------- start title -----------------------------------

ADC2000NG Pro - banner exchange software
Copyright (C) 1998-2010  T&D Systems, Inc.
http://www.td-systems.com/

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

* Stats for Flash
------------------------------- end title -----------------------------------*/
include("adc2000ng.inc");
Header("Cache-Control: no-cache, must-revalidate");

$dbase = new ADC_sql; $dbase->connect();

$coo_string = select_parse($HTTP_COOKIE,"; ");
$num_coo = count($coo_string);
for ($i=0; $i<$num_coo; $i++) {
  $coo = select_parse($coo_string[$i],"=");
  switch ($coo[0]) {
    case "adc_uid":
      $userID = $coo[1];
      break;
    case "adc_stype":
      $stats_type = $coo[1];
      break;
  }
}

//$userID = 1;
//$stats_type = 2;
//$index = 5;

if ($day == "" && $month == "" && $year == "") {
  $dbase->query("select ban_id,ban_name from banner where usr_id=$userID");
  $num = $dbase->num_rows();

  echo "year=".date("Y");
  echo "&month=".date("n");
  echo "&day=".date("j");
  echo "&objects=$num";

  $obj_counter = 1;
  // ----| Banner's names
  while ($row = $dbase->fetch()) {
    if ($obj_counter == 1) {
      $def_object = $row[1];
      $def_index = $row[0];
    }
    echo "&object".$obj_counter."=$row[1]";
    echo "&index".$obj_counter."=$row[0]";
    $obj_counter += 1;
  }
  echo "&object=$def_object";	// Default value
  echo "&index=$def_index";	// Default index
  echo "&type=$stats_type";	// Type of stats 1-full 2-w/o day 3-only year
  echo "&title=FLASH STATS";
}
else {
  // ------| for loading data script calls with parameters:
  // ------| http://script.url?day=20&month=1&year=2000&object=Macromedia&index=456
  $max = 0;
  switch ($stats_type) {
    case 1:	// time
      $max_i = 0;
      $max_c = 0;
      $vg_counter = 24;
      $c_date = $year."-".$month."-".$day;
      $dbase->query("select * from h_istats where ban_id=$index and h_date='$c_date'");
      $row_st = $dbase->fetch();
      $str = "mi[]=".$row_st[1]."&mi[]=".$row_st[2]."&mi[]=".$row_st[3]."&mi[]=".$row_st[4].
             "&mi[]=".$row_st[5]."&mi[]=".$row_st[6]."&mi[]=".$row_st[7]."&mi[]=".$row_st[8].
             "&mi[]=".$row_st[9]."&mi[]=".$row_st[10]."&mi[]=".$row_st[11]."&mi[]=".$row_st[12].
             "&mi[]=".$row_st[13]."&mi[]=".$row_st[14]."&mi[]=".$row_st[15]."&mi[]=".$row_st[16].
             "&mi[]=".$row_st[17]."&mi[]=".$row_st[18]."&mi[]=".$row_st[19]."&mi[]=".$row_st[20].
             "&mi[]=".$row_st[21]."&mi[]=".$row_st[22]."&mi[]=".$row_st[23]."&mi[]=".$row_st[24];
      parse_str($str);
      for ($x=0; $x<$vg_counter; $x++) {
        if ($max_i < (int)$mi[$x]) $max_i = (int)$mi[$x];
        $total += (int)$mi[$x];
      }
      $dbase->query("select * from h_cstats where ban_id=$index and h_date='$c_date'");
      $row_st = $dbase->fetch();
      $str = "mc[]=".$row_st[1]."&mc[]=".$row_st[2]."&mc[]=".$row_st[3]."&mc[]=".$row_st[4].
             "&mc[]=".$row_st[5]."&mc[]=".$row_st[6]."&mc[]=".$row_st[7]."&mc[]=".$row_st[8].
             "&mc[]=".$row_st[9]."&mc[]=".$row_st[10]."&mc[]=".$row_st[11]."&mc[]=".$row_st[12].
             "&mc[]=".$row_st[13]."&mc[]=".$row_st[14]."&mc[]=".$row_st[15]."&mc[]=".$row_st[16].
             "&mc[]=".$row_st[17]."&mc[]=".$row_st[18]."&mc[]=".$row_st[19]."&mc[]=".$row_st[20].
             "&mc[]=".$row_st[21]."&mc[]=".$row_st[22]."&mc[]=".$row_st[23]."&mc[]=".$row_st[24];
      parse_str($str);
      for ($x=0; $x<$vg_counter; $x++) {
        if ($max_c < (int)$mc[$x]) $max_c = (int)$mc[$x];
        $total += (int)$mc[$x];
      }
      break;
    case 2:	// days
      $max_i = 0;
      $max_c = 0;
      $vg_counter = lastday(date($month),date($year));
      $month = date(m,mktime(0,0,0,date($month)+1,0,0));
      $c_date = $year."-".$month;
      $dbase->query("select * from d_istats where ban_id=$index and d_date='$c_date'");
      $row_st = $dbase->fetch();
      $str = "di[]=".$row_st[1]."&di[]=".$row_st[2]."&di[]=".$row_st[3]."&di[]=".$row_st[4].
             "&di[]=".$row_st[5]."&di[]=".$row_st[6]."&di[]=".$row_st[7]."&di[]=".$row_st[8].
             "&di[]=".$row_st[9]."&di[]=".$row_st[10]."&di[]=".$row_st[11]."&di[]=".$row_st[12].
             "&di[]=".$row_st[13]."&di[]=".$row_st[14]."&di[]=".$row_st[15]."&di[]=".$row_st[16].
             "&di[]=".$row_st[17]."&di[]=".$row_st[18]."&di[]=".$row_st[19]."&di[]=".$row_st[20].
             "&di[]=".$row_st[21]."&di[]=".$row_st[22]."&di[]=".$row_st[23]."&di[]=".$row_st[24].
             "&di[]=".$row_st[25]."&di[]=".$row_st[26]."&di[]=".$row_st[27]."&di[]=".$row_st[28].
             "&di[]=".$row_st[29]."&di[]=".$row_st[30]."&di[]=".$row_st[31];
      parse_str($str);
      for ($x=0; $x<$vg_counter; $x++) {
        if ($max_i < (int)$di[$x]) $max_i = (int)$di[$x];
        $total += (int)$di[$x];
      }
      $dbase->query("select * from d_cstats where ban_id=$index and d_date='$c_date'");
      $row_st = $dbase->fetch();
      $str = "dc[]=".$row_st[1]."&dc[]=".$row_st[2]."&dc[]=".$row_st[3]."&dc[]=".$row_st[4].
             "&dc[]=".$row_st[5]."&dc[]=".$row_st[6]."&dc[]=".$row_st[7]."&dc[]=".$row_st[8].
             "&dc[]=".$row_st[9]."&dc[]=".$row_st[10]."&dc[]=".$row_st[11]."&dc[]=".$row_st[12].
             "&dc[]=".$row_st[13]."&dc[]=".$row_st[14]."&dc[]=".$row_st[15]."&dc[]=".$row_st[16].
             "&dc[]=".$row_st[17]."&dc[]=".$row_st[18]."&dc[]=".$row_st[19]."&dc[]=".$row_st[20].
             "&dc[]=".$row_st[21]."&dc[]=".$row_st[22]."&dc[]=".$row_st[23]."&dc[]=".$row_st[24].
             "&dc[]=".$row_st[25]."&dc[]=".$row_st[26]."&dc[]=".$row_st[27]."&dc[]=".$row_st[28].
             "&dc[]=".$row_st[29]."&dc[]=".$row_st[30]."&dc[]=".$row_st[31];
      parse_str($str);
      for ($x=0; $x<$vg_counter; $x++) {
        if ($max_c < (int)$dc[$x]) $max_c = (int)$dc[$x];
        $total += (int)$dc[$x];
      }
      break;
    case 3:	// months
      $max_i = 0;
      $max_c = 0;
      $vg_counter = 12;
      $dbase->query("select * from m_istats where ban_id=$index and i_lu_year='$year'");
      $row_st = $dbase->fetch();
      $str = "mi[]=".$row_st[1]."&mi[]=".$row_st[2]."&mi[]=".$row_st[3]."&mi[]=".$row_st[4].
             "&mi[]=".$row_st[5]."&mi[]=".$row_st[6]."&mi[]=".$row_st[7]."&mi[]=".$row_st[8].
             "&mi[]=".$row_st[9]."&mi[]=".$row_st[10]."&mi[]=".$row_st[11]."&mi[]=".$row_st[12];
      parse_str($str);
      for ($x=0; $x<$vg_counter; $x++) {
        if ($max_i < (int)$mi[$x]) $max_i = (int)$mi[$x];
        $total += (int)$mi[$x];
      }
      $dbase->query("select * from m_cstats where ban_id=$index and c_lu_year='$year'");
      $row_st = $dbase->fetch();
      $str = "mc[]=".$row_st[1]."&mc[]=".$row_st[2]."&mc[]=".$row_st[3]."&mc[]=".$row_st[4].
             "&mc[]=".$row_st[5]."&mc[]=".$row_st[6]."&mc[]=".$row_st[7]."&mc[]=".$row_st[8].
             "&mc[]=".$row_st[9]."&mc[]=".$row_st[10]."&mc[]=".$row_st[11]."&mc[]=".$row_st[12];
      parse_str($str);
      for ($x=0; $x<$vg_counter; $x++) {
        if ($max_c < (int)$mc[$x]) $max_c = (int)$mc[$x];
        $total += (int)$mc[$x];
      }
      break;
  }
  if ($max_i > $max_c) $max = $max_i;
  else $max = $max_c;
  if ($max < 10) {
  $max = 10;
  } elseif ($max > 9 AND $max < 100) {
  $max = 100;
  } elseif ($max > 99 AND $max < 1000) {
  $max = 1000;
  } elseif ($max > 999 AND $max < 10000) {
  $max = 10000;
  } elseif ($max > 9999 AND $max < 100000) {
  $max = 100000;
  } elseif ($max > 99999 AND $max < 1000000) {
  $max = 1000000;
  } elseif ($max > 999999 AND $max < 10000000) {
  $max = 10000000;
  } elseif ($max > 9999999 AND $max < 100000000) {
  $max = 100000000;
  } else {
  $max = 1000000000;
  } 
  $y_1 = $max/4;
  $y_2 = $max/2;
  $y_3 = $max/2 + $max/4;
  echo "maxY=$max";			// maximum Y value
  echo "&gridY=3";			// count of horizontal grid
  echo "&gridY1=".$y_1;			// value of first horizontal grid
  echo "&gridYc1=".$y_1;		// label of first horizontal grid
  echo "&gridY2=".$y_2;			// value of second ..
  echo "&gridYc2=".$y_2;		// label of second ..
  echo "&gridY3=".$y_3;			// ..
  echo "&gridYc3=".$y_3;		// ..

  echo "&maxX=$vg_counter";
/*
  switch ($stats_type) {
    case 1:
      echo "&maxX=$vg_counter";
      break;
    case 2:
      if (($day % 2) == 1) {
        echo "&maxX=24";		// maximum X value
      }
      else {
        echo "&maxX=31";
      }
      break;
    case 3:
      echo "&maxX=$vg_counter";
      break;
  }
*/
  echo "&gridX=$vg_counter";		// count of vertical grid
  for ($i=1; $i<=$vg_counter; $i++) {
    echo "&gridX".$i."=$i";		// value of first vertical grid
    echo "&gridXc".$i."=$i";		// label of first vertical grid
  }
  switch ($stats_type) {
    case 1:
      echo "&count=$vg_counter";
      for ($x=0; $x<$vg_counter; $x++) {
        if ($x) {
          $next_cnt += 1;
          echo "&valb".$next_cnt."=$mi[$x]";	// value of background bar
        }
        else $next_cnt = 0;
      }
      echo "&valb24=$mi[0]";			// value of background bar
      for ($x=0; $x<$vg_counter; $x++) {
        if ($x) {
          $next_cnt += 1;
          echo "&valf".$next_cnt."=$mc[$x]";	// value of foreground bar
        }
        else $next_cnt = 0;
      }
      echo "&valf24=$mc[0]";			// value of foreground bar
      break;
    case 2:
      echo "&count=$vg_counter";
/*
      if (($day % 2) == 1) {
        echo "&count=24";		// count of bars
      }
      else {
        echo "&count=31";
      }
*/
      for ($x=0; $x<$vg_counter; $x++) {
        $next_cnt = $x + 1;
        echo "&valb".$next_cnt."=$di[$x]";	// value of background bar
      }
      for ($x=0; $x<$vg_counter; $x++) {
        $next_cnt = $x + 1;
        echo "&valf".$next_cnt."=$dc[$x]";	// value of foreground bar
      }
      break;
    case 3:
      echo "&count=$vg_counter";
      for ($x=0; $x<$vg_counter; $x++) {
        $next_cnt = $x + 1;
        echo "&valb".$next_cnt."=$mi[$x]";	// value of background bar
      }
      for ($x=0; $x<$vg_counter; $x++) {
        $next_cnt = $x + 1;
        echo "&valf".$next_cnt."=$mc[$x]";	// value of foreground bar
      }
      break;
  }
  echo "&fl=Clicks";			// label of foreground legend
  echo "&bl=Impressions";		// label of background legend
  echo "&columnf=Clicks";		// label of foreground column in table
  echo "&columnb=Impressions";		// label of background column in table
  echo "&enddata=1";			// must be at end of data part
}
$dbase->free();
?>
